<?php
class Alumni{
	
	public static function addAlumni($db, $fname, $lname, $dob, $email, $year, $profile, $newsletter, $message, $qualification, $status=0){
		
		$is_add	= false;
		$t_name	= TBL."alumni";
		$n=$db->count_where($t_name,"email='$email'");
		if($n==0)
		{	
			$key = md5(uniqid(rand(), true));
			$t_vals	= array(			
				"first_name" => $fname,
				"last_name" => $lname,
				"dob" => $dob,
				"email" => $email,
				"passout_year" => $year,
				"info" => $message,
				"profile_view" => $profile,
				"newsletter" => $newsletter,
				"qualification" => $qualification,
				"add_date" => date('Y-m-d H:i:s'),
				"status" => $status,
				"activation" => $key
			);
			$ctrl="activate";
			$arr	= array();
			$message = '
			<table width="600" cellspacing="0" cellpadding="0" border="0" align="center" style="text-align:left">
			  <tbody><tr align="center">
				<td width="600" valign="bottom" bgcolor="#065688" style="font-size:24px;color:#FFF;padding:5px 0px;">
					 Alumni registration</td>
			  </tr>
			  <tr>
				<td height="20"></td>
			  </tr>
			  <tr>
				<td style="font-family:Verdana,Arial;font-size:11px;padding:0px 0px 0px 10px;color:#727171;line-height:19px"><strong>Dear User,</strong><br>
				  Thanks for Registration! <br>Your account has been created, you can '.$ctrl.' your account by pressing the url below. <br>Please click this link to '.$ctrl.' your account:<br>'.LIVE_SITE.'verify.php?email='.$email.'&key='.$key.' 
</td>
			  </tr>
			  <tr>
				<td></td>
			  </tr>
			  <tr>
				<td height="25"></td>
			  </tr>
			  <tr>
				<td style="font-family:Verdana,Arial;font-size:11px;color:#444444;line-height:16px;text-align:left">Regards, <br>
				  <strong><span style="color:#189bd6">Goodshepherd.com</span></strong> Team</td>
			  </tr>
			  <tr>
				<td style="padding:25px 0px 15px 0px">
				</td>
			  </tr>
			  <tr>
				<td align="center" style="font-family:Verdana,Arial;font-size:11px;color:#dddddd">&nbsp;<a target="_blank" style="color:#006eb3;text-decoration:underline" href="'.LIVE_SITE.'contact-us.php">Report a problem</a></td>
			  </tr>
			  <tr>
				<td height="15"></td>
			  </tr>
			  <tr>
				<td valign="top" align="center" style="font-family:Verdana,Arial;font-size:10px;color:#9d9d9d">This is a Computer-generated email, please do not reply to this message.</td>
			  </tr>
			</table>';
			require_once("phpmailer/class.phpmailer.php");
			$name = SCHOOL;
			$subject="Alumni Registration";
			$error = '';
			$suc=0;
			$mailer = new phpmailer();
			$from="info@test.com";
			$mailer->From = $from;
			$mailer->FromName = $name;
			$mailer->Subject = $subject;
			$mailer->Body = $message;
			$mailer->IsHtml(true);
			$mailer->AddAddress($email);
			if($mailer->Send())
			{
				$msg.=" Check and Approve EMail sent for verification, if not check spam mail.";
				$f=0;	
			}
			else
			{
				$f=1;
				$msg.=" There was a problem sending your email!";
			}
			if($db->insert($t_name,$t_vals))
				$msg1="Added Successfully.<br>";
			else
			{
				$f=1;
				$msg1="Error.<br>";
			}
		}
		else
		{
			$msg="Email already exist";
			$f=1;
		}
		$arr['msg'] = $msg1.$msg;
		$arr['f'] = $f;
		$arr['profile']	 = $profile;
		return $arr;
	}
	
	public static function filter($db, $name='', $year='', $orderby, $inorder="asc"){
		$where	= " 1=1 AND a.profile_view=1 and a.status=1 and a.activation=''";
		if($name != '')
			$where .= " AND a.first_name LIKE '%$name%' or a.last_name LIKE '%$name%'";
		if($year != '')
			$where		.= " AND a.passout_year=$year";
		if($orderby == 'year')			
			$orderby	= " b.year";
		else			
			$orderby	= " a.first_name";
		$sql 	= "SELECT a.*,b.id,b.year as Year from ".TBL."alumni a INNER JOIN ".TBL."passout_year b ON a.passout_year = b.id WHERE ". $where. " ORDER BY ".$orderby. " ". $inorder;
		$result = $db->get_results($sql);
		return $result;
	}
	
	public static function displayYear($db, $sl = 'year', $id=0){
		echo '<select name="'.$sl.'" id="year"><option value="">Select Year</option>';
		$sql = "SELECT * from ".TBL."passout_year order by year desc";
		$year = $db->get_results($sql);
		if(!empty($year)){
		foreach ($year as $y){
			echo '<option value="'.$y['id'].'"';
			if ($y['id']==$id) 
				echo ' selected="selected"';
			echo '>'.$y['year'].'</option>';
		}
	}				  
       echo'</select>';
	}
	
	public static function getYear($db, $id){
		$sql = "SELECT year from ".TBL."passout_year WHERE id=$id";
		$year = $db->get_row($sql);
		return $year[0];
		
	}
	
	public static function displaySort($sl='sort', $id=0){
		
		$arr = array(
			"first_name" => 'Name',
			"year" => 'YearPassout'
		);
		
		echo '<select name="'.$sl.'" id="'.$sl.'">';
		foreach ($arr as $v => $val) {
			
			echo '<option value="'.$v.'"';
			if($id==$v){
				echo 'selected';
			}
			
			echo '>'.$val.'</option>';
		}
        
      echo '</select>';
	}
	
	public static function displayinOrder($sl='inorder', $id=0){
		
		$arr = array(
			"asc" => 'Asc',
			"desc" => 'Desc'
		);
		
		echo '<select name="'.$sl.'" id="'.$sl.'">';
		foreach ($arr as $v => $val) {
			
			echo '<option value="'.$v.'"';
			if($id==$v){
				echo 'selected';
			}
			
			echo '>'.$val.'</option>';
		}
        
      echo '</select>';
	}
	
	
	
	
	
}