<?php

function resize_both($oldname,$path,$h,$w)

{

  $newname = $path."thumb-". $oldname;

  $oldname = $path.$oldname;



  // Dimensions of displayed thumbnail



  $thumbh = 125;
  $thumbw = 175;


  // Dimension of intermediate thumbnail



  $nh = $thumbh;

  $nw = $thumbw;



  $size = getImageSize($oldname);

  $w = $size[0];

  $h = $size[1];

  

  // Applying calculations to dimensions of the image

 

  $ratio = $h / $w;

  $nratio = $nh / $nw; 



  if($ratio > $nratio)

  {

    $x = intval($w * $nh / $h);

    if ($x < $nw)

    {

      $nh = intval($h * $nw / $w);

    } 

    else

    {

      $nw = $x;

    }

  }

  else

  {

    $x = intval($h * $nw / $w);

    if ($x < $nh)

    {

      $nw = intval($w * $nh / $h);

    } 

    else

    {

      $nh = $x;

    }

  }  

 

 // echo "$oldname was $w x $h,";

 // echo "  $newname is $nw x $nh cropped to $thumbw x $thumbh\n";



  // Building the intermediate resized thumbnail



  $resimage = imagecreatefromjpeg($oldname); 

  $newimage = imagecreatetruecolor($nw, $nh);  // use alternate function if not installed

  imageCopyResampled($newimage, $resimage,0,0,0,0,$nw, $nh, $w, $h);

  

  // Making the final cropped thumbnail

  

  $viewimage = imagecreatetruecolor($thumbw, $thumbh);

  imagecopy($viewimage, $newimage, 0, 0, 0, 0, $nw, $nh);

  

  // saving

  imageJpeg($viewimage, $newname, 85);

  return("1");

}  

?>