<?php require_once("functions/admission_form_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php //echo SCHOOL;?>Admin | Admission Form Field Settings</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>Admission Form Field Settings</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Admission</a></li>
                        <li class="active">Form Fields</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
										<h3 class="box-title">Personal Details</h3><hr>
									    <?php 
										$i = 0;
										$fields = array("First Name", "Middle Name", "Last Name", "Date of Birth", "Gender", "Nationality");
										foreach($fields as $f) 
										{ ?>
											<div class="form-group">
												<label class="control-label col-lg-3"><?php echo $f; ?></label>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_status[$i])?$field_status[$i]:0;
													echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
												</div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_required[$i])?$field_required[$i]:0;
													echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
												</div>
											</div>
										<?php $i++; }?>
										<h3 class="box-title">Contact Details</h3><hr>
									    <?php 
										$fields = array("Address Line1", "Address Line2", "City", "State", "PIN code", "Country", "Phone", "Mobile", "Email");
										foreach($fields as $f) 
										{?>
											<div class="form-group">
												<label class="control-label col-lg-3"><?php echo $f; ?></label>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_status[$i])?$field_status[$i]:0;
													echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
												</div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_required[$i])?$field_required[$i]:0;
													echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
												</div>
											</div>
										<?php $i++;}?>
										<h3 class="box-title">Upload User Photo</h3><hr>
									    <div class="form-group">
											<label class="control-label col-lg-3">Upload User Photo</label>
											<div class="col-lg-3">
												<?php 
												$st = isset($field_status[$i])?$field_status[$i]:0;
												echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
											</div>
											<div class="col-lg-3">
												<?php 
												$st = isset($field_required[$i])?$field_required[$i]:0;
												echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
											</div>
										</div>
										<h3 class="box-title">Last Attended Institution details</h3><hr>
									    <?php $i++;
										$fields = array("Institution Name", "Qualifying Exam Name", "Exam Roll No.", "Final Score");
										foreach($fields as $f) 
										{?>
											<div class="form-group">
												<label class="control-label col-lg-3"><?php echo $f; ?></label>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_status[$i])?$field_status[$i]:0;
													echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
												</div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_required[$i])?$field_required[$i]:0;
													echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
												</div>
											</div>
										<?php $i++;}?>
										<h3 class="box-title">Parent Personal Details</h3><hr>
									    <?php 
										$fields = array("First Name", "Last Name", "Relation", "Date of Birth", "Education", "Occupation", "Income", "Email");
										foreach($fields as $f) 
										{?>
											<div class="form-group">
												<label class="control-label col-lg-3"><?php echo $f; ?></label>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_status[$i])?$field_status[$i]:0;
													echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
												</div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_required[$i])?$field_required[$i]:0;
													echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
												</div>
											</div>
										<?php $i++;}?>
										<h3 class="box-title">Parent Contact Details</h3><hr>
									    <?php 
										$fields = array("Address Line1", "Address Line2", "City", "State", "PIN code", "Country", "Phone", "Mobile");
										foreach($fields as $f) 
										{?>
											<div class="form-group">
												<label class="control-label col-lg-3"><?php echo $f; ?></label>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_status[$i])?$field_status[$i]:0;
													echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
												</div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_required[$i])?$field_required[$i]:0;
													echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
												</div>
											</div>
										<?php $i++;}?>
										<h3 class="box-title">Mother Details</h3><hr>
									    <?php 
										$fields = array("First Name", "Middle Name", "Last Name", "Date of Birth", "Education", "Occupation", "Income", "Email");
										foreach($fields as $f) 
										{?>
											<div class="form-group">
												<label class="control-label col-lg-3"><?php echo $f; ?></label>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_status[$i])?$field_status[$i]:0;
													echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
												</div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_required[$i])?$field_required[$i]:0;
													echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
												</div>
											</div>
										<?php $i++;}?>
										<h3 class="box-title">Distance</h3><hr>
									    <div class="form-group">
											<label class="control-label col-lg-3">Distance from school in KMS</label>
											<div class="col-lg-3">
												<?php 
												$st = isset($field_status[$i])?$field_status[$i]:0;
												echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
											</div>
											<div class="col-lg-3">
												<?php 
												$st = isset($field_required[$i])?$field_required[$i]:0;
												echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
											</div>
										</div>
										<h3 class="box-title">Alumni</h3><hr>
									    <?php $i++;
										$fields = array("Are you alumni of the school", "Mention the year of schooling");
										foreach($fields as $f) 
										{?>
											<div class="form-group">
												<label class="control-label col-lg-3"><?php echo $f; ?></label>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_status[$i])?$field_status[$i]:0;
													echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
												</div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_required[$i])?$field_required[$i]:0;
													echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
												</div>
											</div>
										<?php $i++;}?>
										<h3 class="box-title">Sibling Details</h3><hr>
									    <div class="form-group">
											<label class="control-label col-lg-3">Name of your own children studying in Bal Bharti School with their class & admission no.</label>
											<div class="col-lg-3">
												<?php 
												$st = isset($field_status[$i])?$field_status[$i]:0;
												echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
											</div>
											<div class="col-lg-3">
												<?php 
												$st = isset($field_required[$i])?$field_required[$i]:0;
												echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
											</div>
										</div>
										<h3 class="box-title">Differently Abled</h3><hr>
									    <div class="form-group">
											<label class="control-label col-lg-3">Is your Child handicapped ?</label>
											<div class="col-lg-3">
												<?php $i++;
												$st = isset($field_status[$i])?$field_status[$i]:0;
												echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
											</div>
											<div class="col-lg-3">
												<?php 
												$st = isset($field_required[$i])?$field_required[$i]:0;
												echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); 
												$i++; ?>
											</div>
										</div>
										<h3 class="box-title">Additional Attachments</h3><hr>
									    <div class="form-group">
											<label class="control-label col-lg-3">Attachment</label>
											<div class="col-lg-3">
												<?php 
												$st = isset($field_status[$i])?$field_status[$i]:0;
												echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
											</div>
											<div class="col-lg-3">
												<?php 
												$st = isset($field_required[$i])?$field_required[$i]:0;
												echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); $i++;
												?>
											</div>
										</div>
										<h3 class="box-title">Additional Fields</h3><hr>
									    <?php $fields = array("Are you Widow/Widower", "Is your child completely vaccinated", "Do you belong to backward class", "Are you a serving defence personnel");
										foreach($fields as $f) 
										{?>
											<div class="form-group">
												<label class="control-label col-lg-3"><?php echo $f; ?></label>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_status[$i])?$field_status[$i]:0;
													echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
												</div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_required[$i])?$field_required[$i]:0;
													echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
												</div>
											</div>
										<?php $i++;}
										if(sizeof($extra_fields))
										{
										foreach($extra_fields as $ef) 
										{?>
											<div class="form-group">
												<div class="col-lg-3"><input type="text" name="extra_fields[]" class="validate[required] form-control" value="<?php echo $ef;?>"></div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_status[$i])?$field_status[$i]:0;
													echo status($st, $name="field_status[$i]", $data_on="Yes", $data_off="No", $data_label="Enable"); ?>
												</div>
												<div class="col-lg-3">
													<?php 
													$st = isset($field_required[$i])?$field_required[$i]:0;
													echo status($st, $name="field_required[$i]", $data_on="Yes", $data_off="No", $data_label="Required"); ?>
												</div>
												<div class="btn btn-danger btn-sm extra-remove"><i class="fa fa-trash-o"></i> Remove</div>
											</div>
										<?php $i++;}}?>
										<div class="form-group">
										<div class="col-lg-3">
										<a class="btn btn-block btn-social btn-bitbucket btn-success" id="add-fields">
											<i class="fa fa-plus"></i>
											Add extra text Fields
										</a>
										</div>
										</div>
										
									</div><!-- /.box-body -->
                                    <div class="box-footer">
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.js" type="text/javascript"></script>
		<!-- validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<script type="text/javascript">
            $(function() {
				$('#popup-validation').validationEngine();
            });
			$( document ).ready(function() {
				var len = $('.form-group').length;
				len = len-2;
				$("#add-fields").click(function(){
					$("#add-fields").parent().parent().before('<div class="form-group"><div class="col-lg-3"><input class="extra_fields" type="text" name="extra_fields[]" class="validate[required] form-control"></div><div class="col-lg-3"><input class="make-switch" data-size="normal" data-handle-width="55" data-on-text="Yes" data-off-text="No" data-label-text="Enable" data-label-width="100" type="checkbox" name="field_status['+len+']" value="1"></div><div class="col-lg-3"><input class="make-switch" data-size="normal" data-handle-width="55" data-on-text="Yes" data-off-text="No" data-label-text="Required" data-label-width="100" type="checkbox" name="field_required['+len+']" value="1"></div><div class="btn btn-danger btn-sm extra-remove"><i class="fa fa-trash-o"></i> Remove</div></div>');
					len++;
				$(".make-switch").bootstrapSwitch();
				}); 
				$(".extra-remove").on("click", function(){
					$(this).parent().remove();
				});
				 
			}); 
        </script>
    </body>
</html>