<?php require_once("functions/backup_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php //echo SCHOOL;?> admin | Backup</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- modal-popup -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-modal.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
	</head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>Backup</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Settings</a></li>
                        <li class="active">Backup</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
                                        <div class="form-group">
											<div class="col-lg-12">
											<button type="submit" name="all" class="btn bg-maroon">Whole Backup</button>
											<button type="submit" name="db" class="btn bg-purple">Database</button>
											<button type="submit" name="files" class="btn bg-navy">Home Directory</button>
											</div>
										</div>
									</div><!-- /.box-body -->
                                </form>
								<div id="confirm1" class="modal fade" tabindex="-1" data-backdrop="static" data-keyboard="false">
									<div class="modal-body">
										<p>Would you like to continue?</p>
									</div>
									<div class="modal-footer">
										<button type="button" data-dismiss="modal" class="btn">Cancel</button>
										<button type="button" data-dismiss="modal" class="btn btn-primary confirm-continue">Continue</button>
									</div>
								</div>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
					<div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
							<div class="box">
								<form id="data-table-form" method="post" action="">
                                <div class="box-header">
                                    <h3 class="box-title">Backup List</h3>
									<span style="color: rgb(255, 0, 0); padding: 10px; display: inline-block;">Avoid more backups for site optimization. After download backup files to your system, kindly delete it.</span>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">
                                    <table id="sample_2" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th>Sno</th>
                                                <th>Backup File</th>
												<th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
										<?php echo $list; ?>
										</tbody>
									</table>
                                </div><!-- /.box-body -->
								</form>
                            </div><!-- /.box -->
						</div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- modal-popup -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modalmanager.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modal.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
		<!-- date-common -->
		<script src="<?php echo ADMIN_SITE;?>js/common.js" type="text/javascript"></script>
    </body>
</html>