<?php 
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$db = new DB();
$t_name_ev = TBL."calendar_events";
$t_name = TBL."calendar";
$query = "SELECT * FROM $t_name_ev order by title";
$results = $db -> get_results($query);
$event_list = "";
foreach( $results as $row )
	$event_list .= '<div class="external-event ui-draggable" id="'.$row["id"].'" style="background-color: '.$row["backgroundColor"].'; border-color: '.$row["backgroundColor"].';color:#fff;">'.$row["title"].'<span class="remove-extern-event"> x </span></div>';
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php //echo SCHOOL;?> admin | Calender<?php //echo $action;?> Calendar</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
        <!-- fullCalendar -->
        <link href="<?php echo ADMIN_SITE;?>css/fullcalendar/fullcalendar.css" rel="stylesheet" type="text/css" />
        <link href="<?php echo ADMIN_SITE;?>css/fullcalendar/fullcalendar.print.css" rel="stylesheet" type="text/css" media='print' />
        <!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
        <![endif]-->
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1><?php echo $action; ?> Calendar</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active"><?php echo $action; ?> Calendar</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
							<div class="col-md-3">
								<div class="box box-primary">
								  <!-- form start -->
									<div class="box-header">
										<h4 class="box-title">Draggable Events</h4>
									</div>
									<div class="box-body">
										<!-- the events -->
										<div id='external-events'>
											<?php 
											echo $event_list;
											?>
											<p>
												<input type='checkbox' id='drop-remove' /> <label for='drop-remove'>remove after drop</label>
											</p>
										</div>
									</div><!-- /.box-body -->
								</div><!-- /. box -->
								<div class="box box-primary">
									<div class="box-header">
										<h3 class="box-title">Create Event</h3>
									</div>
									<div class="box-body">
										<div class="btn-group" style="width: 100%; margin-bottom: 10px;">
											<button type="button" id="color-chooser-btn" class="btn btn-danger btn-block btn-sm dropdown-toggle" data-toggle="dropdown">Color <span class="caret"></span></button>
											<ul class="dropdown-menu" id="color-chooser">
												<li><a class="text-green" href="#"><i class="fa fa-square"></i> Green</a></li>
												<li><a class="text-blue" href="#"><i class="fa fa-square"></i> Blue</a></li>
												<li><a class="text-navy" href="#"><i class="fa fa-square"></i> Navy</a></li>
												<li><a class="text-yellow" href="#"><i class="fa fa-square"></i> Yellow</a></li>
												<li><a class="text-orange" href="#"><i class="fa fa-square"></i> Orange</a></li>
												<li><a class="text-aqua" href="#"><i class="fa fa-square"></i> Aqua</a></li>
												<li><a class="text-red" href="#"><i class="fa fa-square"></i> Red</a></li>
												<li><a class="text-fuchsia" href="#"><i class="fa fa-square"></i> Fuchsia</a></li>
												<li><a class="text-purple" href="#"><i class="fa fa-square"></i> Purple</a></li>
											</ul>
										</div><!-- /btn-group -->
										<!--<div class="form-group">
											<input id="new-url" type="text" class="form-control" placeholder="URL">
										</div>-->
										<div class="form-group">
											<input id="new-event" type="text" class="form-control" placeholder="Event Title">
										</div>
										<div class="input-group-btn">
											<button id="add-new-event" type="button" class="btn btn-primary btn-flat">Add</button>
										</div><!-- /input-group -->
									</div>
								</div>
							</div><!-- /.col -->
							<div class="col-md-9">
								<div class="box box-primary">
									<div class="box-body no-padding">
										<!-- THE CALENDAR -->
										<div id="calendar"></div>
									</div><!-- /.box-body -->
								</div><!-- /. box -->
							</div><!-- /.col -->
						</div><!-- /.col -->
                    </div><!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>

        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- jQuery UI 1.10.3 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-ui-1.10.3.min.js" type="text/javascript"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
        <!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- AdminLTE for demo purposes -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/demo.js" type="text/javascript"></script>        
        <!-- fullCalendar -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/fullcalendar/fullcalendar.min.js" type="text/javascript"></script>
        <!-- Page specific script -->
        <script type="text/javascript">
            $(function() {

                /* initialize the external events
                 -----------------------------------------------------------------*/
                function ini_events(ele) {
                    ele.each(function() {

                        // create an Event Object (http://arshaw.com/fullcalendar/docs/event_data/Event_Object/)
                        // it doesn't need to have a start or end
                        var eventObject = {
                            title: $.trim($(this).text()) // use the element's text as the event title
                        };

                        // store the Event Object in the DOM element so we can get to it later
                        $(this).data('eventObject', eventObject);

                        // make the event draggable using jQuery UI
                        $(this).draggable({
                            zIndex: 1070,
                            revert: true, // will cause the event to go back to its
                            revertDuration: 0  //  original position after the drag
                        });

                    });
                }
                ini_events($('#external-events div.external-event'));

                /* initialize the calendar
                 -----------------------------------------------------------------*/
                //Date for the calendar events (dummy data)
                var date = new Date();
                var d = date.getDate(),
                        m = date.getMonth(),
                        y = date.getFullYear();
                $('#calendar').fullCalendar({
                    header: {
                        left: 'prev,next today',
                        center: 'title',
                        right: 'month,agendaWeek,agendaDay'
                    },
                    buttonText: {//This is to add icons to the visible buttons
                        prev: "<span class='fa fa-caret-left'></span>",
                        next: "<span class='fa fa-caret-right'></span>",
                        today: 'today',
                        month: 'month',
                        week: 'week',
                        day: 'day'
                    },
                    //Random default events
                    events: "calendar_ajax.php",
					eventRender: function(event, element, view) {	
					if (event.allDay === 'true') {
					 event.allDay = true;
					} else {
					 event.allDay = false;
					}
				   },
                    editable: true,
                    droppable: true, // this allows things to be dropped onto the calendar !!!
                    drop: function(date, allDay) { // this function is called when something is dropped

                        // retrieve the dropped element's stored Event Object
                        var originalEventObject = $(this).data('eventObject');
						var id = $(this).attr("ID");	
                        // we need to copy it, so that multiple events don't have a reference to the same object
                        var copiedEventObject = $.extend({}, originalEventObject);
						$.ajax({
							url: 'calendar_ajax.php',
							data: 'date='+ date+'&allDay='+allDay+'&id='+id+'&action=add_to_calendar',
							type: "POST",
							success: function(id) {
								copiedEventObject.id = id;
								alert("Updated Successfully");
							}
						});
                        // assign it the date that was reported
                        copiedEventObject.start = date;
                        copiedEventObject.allDay = allDay;
                        copiedEventObject.backgroundColor = $(this).css("background-color");
                        copiedEventObject.borderColor = $(this).css("background-color");

                        // render the event on the calendar
                        // the last `true` argument determines if the event "sticks" (http://arshaw.com/fullcalendar/docs/event_rendering/renderEvent/)
                        $('#calendar').fullCalendar('renderEvent', copiedEventObject, true);

                        // is the "remove after drop" checkbox checked?
                        if ($('#drop-remove').is(':checked')) {
							//remove from db
							$.ajax({
							   url: 'calendar_ajax.php',
							   data: 'id='+ id+'&action=delete_frm_event' ,
							   type: "POST",
							   success: function(json) {
									alert('removed Successfully');
							   }
						   });
                            // if so, remove the element from the "Draggable Events" list
                            $(this).remove();
                        }

                    },
					eventResize: function(event) {
					   var start = $.fullCalendar.formatDate(event.start, "yyyy-MM-dd HH:mm:ss");
					   var end = $.fullCalendar.formatDate(event.end, "yyyy-MM-dd HH:mm:ss");
					   $.ajax({
							url: 'calendar_ajax.php',
							data: 'start='+ start +'&end='+ end +'&id='+ event.id+'&action=update_to_calendar' ,
							type: "POST",
							success: function(json) {
							 alert("Updated Successfully");
							}
					   });
				   },
				   eventDragStop: function(event, date, allDay) {
						var id = $(this).attr("ID");
					    $.ajax({
							url: 'calendar_ajax.php',
							data: 'date='+ date+'&allDay='+allDay+'&id='+id+'&action=update_to_calendar' ,
							type: "POST",
							success: function(json) {
							    alert("Updated Successfully");
							}
					    });
				   },
				   eventClick: function(event) {
						id= event.id;
						//alert(id);
						var t = $(this);
						var decision = confirm("Do you really want to delete?"); 
						if (decision) {
							$.ajax({
								url: 'calendar_ajax.php',
								data: 'id='+ id+'&action=delete_frm_calendar' ,
								type: "POST",
								success: function(json) {
									t.closest('.fc-event').remove();
									alert('Removed Successfully');
								}
							});
							$('#calendar').fullCalendar('removeEvents', event.id);
						}
				   }
                });

                /* ADDING EVENTS */
                var currColor = "#f56954"; //Red by default
                //Color chooser button
                var colorChooser = $("#color-chooser-btn");
                $("#color-chooser > li > a").click(function(e) {
                    e.preventDefault();
                    //Save color
                    currColor = $(this).css("color");
                    //Add color effect to button
                    colorChooser
                            .css({"background-color": currColor, "border-color": currColor})
                            .html($(this).text()+' <span class="caret"></span>');
                });
                $("#add-new-event").click(function(e) {
                    e.preventDefault();
                    //Get value and make sure it is not null
                    var val = $("#new-event").val();
					var url ="";
					//var url = $("#new-url").val();
                    if (val.length == 0) {
                        return;
                    }
					//add event to db
					$.ajax({
					   url: 'calendar_ajax.php',
					   data: 'title='+ val+'&backgroundColor='+ currColor +'&url='+ url+'&action=add_to_event' ,
					   type: "POST",
					   success: function(id) {
							var event = $("<div />");
							event.css({"background-color": currColor, "border-color": currColor, "color": "#fff"}).addClass("external-event");
							event.attr("id", id);
							event.html(val+'<span class="remove-extern-event"> x </span>');
							$('#external-events').prepend(event);
							//Add draggable funtionality
							ini_events(event);

							//Remove event from text input
							//$("#new-event, #new-url").val("");
							$("#new-event").val("");
							alert('Added Successfully');
					   }
				   });
                });
				
				$(".remove-extern-event").on('click', function(e) {
                    e.preventDefault();
                    //Get value and make sure it is not null
                    var t = $(this)
					var id = t.parent().attr('id');
					if (id) {
						$.ajax({
						   url: 'calendar_ajax.php',
						   data: 'id='+ id+'&action=delete_extern_event' ,
						   type: "POST",
						   success: function(json) {
								alert('Deleted Successfully');
								t.parent().remove();
						   }
					   });
					}  
				});
				/*$(".fc-event-delete").click(function(e) {
                    e.preventDefault();
                    //Get value and make sure it is not null
                    var id = $("#new-event").val();
					if (id == "") {
                        return;
                    }
					$.ajax({
					   url: 'calendar_ajax.php',
					   data: 'id='+ id+'&action=delete_frm_calendar' ,
					   type: "POST",
					   success: function(json) {
							alert('Removed Successfully');
					   }
				   });
				   
                    $('#external-events').prepend(event);
				});*/
            });
        </script>

    </body>
</html>
