<?php require_once("functions/class_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php //echo SCHOOL;?> admin | Class <?php //echo $mod." ".$suf;?></title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- modal-popup -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-modal.css" rel="stylesheet" type="text/css" />
        <!-- daterange picker -->
        <link href="<?php echo ADMIN_SITE;?>css/datepicker/datepicker3.css" rel="stylesheet" type="text/css" />
        <!-- DATA TABLES -->
        <link href="<?php echo ADMIN_SITE;?>css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
		<link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1><?php echo $action; ?> Class
					<?php if((int)$_GET['edit'] != "") 
						echo '<small><a href="class.php" class="btn btn-success btn-sm">Add Class</a></small>';
					?></h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Settings</a></li>
                        <li class="active"><?php echo $action; ?> Class</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
					<!-- Main content -->
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form role="form" action="" method="post" id="popup-validation">
									<div class="box-header">
										<h3 class="box-title"><?php echo $action; ?> Class</h3>
									</div>
                                    <div class="box-body clearfix">
                                        <div class="form-group  col-lg-6">
                                            <label class="control-label col-lg-3">Class</label>
											<div class="col-lg-9">
												<input type="text" name="class" class="validate[required] form-control" value="<?php echo $e[1]?$e[1]:'';?>"/>
											</div>
										</div>
										<div class="form-group  col-lg-6">
                                            <label class="control-label col-lg-3">Sections</label>
											<div class="col-lg-9">
												<input type="text" name="section"  value="<?php echo $e[2]?trim($e[2], ","):'';?>"/>add more sections seperated by comma
											</div>
										</div>
										<div class="form-group col-lg-6">
                                            <label class="control-label col-lg-3">Subjects</label>
											<div class="col-lg-4">
												<?php echo multiSelectDbList("subjects[]", $dbResult, $e[3], $defaultOptionSet=1, $defaultOption="Select Subject"); ?>
											</div>
										</div>
										<div class="form-group col-lg-6">
                                            <label class="control-label col-lg-3">Min Age</label>
											<div class="col-lg-9">
												<input type="number" min=0 name="age" class="form-control" value="<?php echo $e[6]?$e[6]:'';?>"/>
											</div>
										</div>
										<div class="form-group col-lg-4" style="padding-right:0px;">
                                            <label class="control-label col-lg-5">DOB within</label>
											<div style="padding:0px;" class="input-group col-lg-5 input-append date dp3">
												<input type="text" name="start_dob" readonly="" class="form-control" value="<?php echo $e[7]?userDate($e[7]):""; ?>"/>
												<div class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</div>
											</div>
										</div>
										<div class="form-group col-lg-2" style="padding:0px;">
                                            <div class="input-group col-lg-11 input-append date dp3">
												<input type="text" name="end_dob" readonly="" class="form-control" value="<?php echo $e[8]?userDate($e[8]):""; ?>"/>
												<div class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</div>
											</div>
										</div>
										<div class="form-group col-lg-6">
                                            <label class="control-label col-lg-3">Order</label>
											<div class="col-lg-9">
												<input type="number" min=0 name="sort_order" class="form-control" value="<?php echo $e[4]?$e[4]:'';?>"/>
											</div>
										</div>
										<div class="form-group col-lg-6">
											<label class="control-label col-lg-3">Status</label>
											<div class="col-lg-9">
												<?php 
												$chk = isset($e[5])?$e[5]:'1';
												echo status($chk); ?>
											</div>
										</div>
									</div>
                                    <div class="box-footer">
										<input type="hidden" name="id" value="<?php echo $e[0]?$e[0]:'';?>"/>
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
										<button type="reset" name="reset" class="btn btn-default">Reset</button>
                                    </div>
                                </form>
								<div id="confirm1" class="modal fade" tabindex="-1" data-backdrop="static" data-keyboard="false">
									<div class="modal-body">
										<p>Would you like to continue?</p>
									</div>
									<div class="modal-footer">
										<button type="button" data-dismiss="modal" class="btn">Cancel</button>
										<button type="button" data-dismiss="modal" class="btn btn-primary confirm-continue">Continue</button>
									</div>
								</div>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
							<div class="box">
								<form id="data-table-form" method="post" action="">
                                <div class="box-header">
                                    <h3 class="box-title">Class List</h3>
									<div class="col-md-6 button_right">
										<input type="submit" class="btn btn-danger btn-sm" name="acton" id="confirm-delete" value="Delete" data-toggle="modal" href="#confirm1">
										<input type="submit" class="btn btn-warning btn-sm" name="acton" id="confirm-unpublish" value="Unpublish" data-toggle="modal" href="#confirm1">
										<input type="submit" class="btn btn-success btn-sm" name="acton" id="confirm-publish" value="Publish" data-toggle="modal" href="#confirm1">
										<input type="submit" class="btn btn-primary btn-sm" name="acton" value="Save order" />
										<input type="hidden" id="confirm-acton" name="confirm-acton" value="" />
									</div>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">
                                    <table id="sample_2" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th><input type="checkbox" title="Select All" class="group-checkable" data-set="#sample_2 .checkboxes"/></th>
                                                <th>Class</th>
                                                <th>Section</th>
												<th>Subjects</th>
												<th>Min age</th>
												<th>Start DOB</th>
												<th>End DOB</th>
												<th>Order</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
										<?php echo $list; ?>
										</tbody>
									</table>
                                </div><!-- /.box-body -->
								</form>
                            </div><!-- /.box -->
						</div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- date-range-picker -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/datepicker/bootstrap-datepicker.js" type="text/javascript"></script>
		<!-- data-table -->
		<script src="<?php echo ADMIN_SITE;?>js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
        <script src="<?php echo ADMIN_SITE;?>js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
		<!-- modal-popup -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modalmanager.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modal.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
		<!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.min.js" type="text/javascript"></script>
		<!-- data-validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<script type="text/javascript">
			$(function() {
	$('#popup-validation').validationEngine();
	$('.dp3').datepicker({
					format: 'dd-mm-yyyy'
				})
	$('#sample_2').dataTable({
		"aLengthMenu": [     
		[20, 40, 50, 100, 200, -1],   
		[20, 40, 50, 100, 200, "All"] 
		],  
		"iDisplayLength": 20,
		"bRetrieve": true,
		"sDom": "<'row-fluid'<'span6'l><'span6'f>r>t<'row-fluid'<'span6'i><'span6'p>>",
		"sPaginationType": "bootstrap",
		"oLanguage": {
			"sLengthMenu": "_MENU_ per page",
			"oPaginate": {
				"sPrevious": "Prev",
				"sNext": "Next"
			}
		},
		"aoColumnDefs": [{
				'bSortable': false,
				'aTargets': [0]
			}
		]
	});			
	$('#sample_2 .group-checkable').on('change', function () {
		var set = $(this).attr("data-set");
		var checked = $(this).is(":checked");
		$(set).each(function () {
			if (checked) {
				$(this).prop("checked", true);
			} else {
				$(this).prop("checked", false);
			}
		});
		//$.uniform.update(set);
	});
});
$("#confirm-delete, #confirm-publish, #confirm-unpublish").click(function(){
	var action = $(this).val();
	$(".modal-body").html("<p>Are you sure to "+action+" records?</p>");
	$("#confirm1 .confirm-continue").click(function(){
		$("#confirm-acton").val(action);
		$("#data-table-form").submit();
	});
});
		</script>
    </body>
</html>