<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$t_name = TBL."admission_application";
$app_form_path = ADMIN_SITE.ADMISSION_FILE.$configurations["at_file"];
$f = $msg = $list = "";
$php_mailer_path = "../inc/phpmailer/class.phpmailer.php"; //stu_email, prt_email, mth_email
define("appdettbl",  TBL."admission_application_data");
define("configurationtbl", TBL."admission_settings");
function getApplicationDetails($db, $application_id)
{
	$query = "SELECT * FROM ". appdettbl ." WHERE app_id = '". (int)$application_id ."'";
	$row=$db->get_results($query);
	return $row;
}
function getConfigurations($db)
{
	$query = "SELECT * FROM ". configurationtbl;
	$result = $db -> get_results($query);
	
	foreach($result as $row)
	{
		$configurations[$row["param"]] = stripslashes($row["value"]);
	}
	
	return $configurations;
}
function send_confrm_email($db, $php_mailer_path, $application_id, $app_form_path)
{
	$application = getApplicationDetails($db, $application_id);
	//print_r($application);
	
	$settings = getConfigurations($db);
	$from_email = $settings['from_email'];
	$from_name = $settings['from_name'];
	$email_subject = $settings['subject_appr'];
	$email_text = $settings['body_appr'];
	foreach($application as $p)
	{
		//echo $p['param']."<br>";
		
		if($p['param'] == "stu_email" || $p['param'] == "prt_email" || $p['param'] == "mth_email")
					{
						if($p['value'] != "")
						$rec_email[] = $p['value'];
					} 	
	}
	//print_r($rec_email);
	//exit;
	$to_email = implode(",",$rec_email);
	//echo $to_email;
	//exit;
	
   
	//$refNo = $application["ref_no"] ? $application["ref_no"] : $application["id"];
	//$email_text = str_replace("[ref_no]", $refNo, $email_text); //replace ref_no ,body_appr,subject_appr

	require_once($php_mailer_path);

	$mailer = new phpmailer();
	$mailer->From = $from_email;
	$mailer->FromName = $from_name;
	$mailer->Subject = $email_subject;
	$mailer->Body = $email_text;
	$mailer->IsHtml(true);
	$mailer->AddAddress($to_email);
	$mailer->AddAttachment($app_form_path);
	$mailer->Send();

}
if(count($_POST) > 0)
{
	$_POST = $db -> filter($_POST);
	if(isset($_POST['page']))
		$_SESSION['page'] = $_POST['page']; 
	elseif(isset($_POST['cur_page']))
		$_SESSION['page'] = $_POST['cur_page'];
	if(!empty($_POST['rec']))
		$_SESSION['rec'] = $_POST['rec'];
	if(isset($_POST['search']))
		$_SESSION['search'] = $_POST['search'];
	
	if ($_POST['acton'] == "Delete" || ($_POST['confirm-acton'] == "Delete" && !isset($_POST['acton']))) {
		$d_cond = $_POST['multicheck'];
		foreach($d_cond as $id)
		{
			$sqld = "SELECT value FROM `".TBL."admission_application_data` WHERE (param='stu_photo' or param='at_file') and app_id=".(int)$id;
			$lcd = $db -> get_results($sqld);
			foreach($lcd as $ad_del)
			{ 
				if(!empty($ad_del["value"]))
				{
					
					if(file_exists(ADMISSION_FILE.$ad_del["value"]))
						 unlink(ADMISSION_FILE.$ad_del["value"]);
					foreach($widthArray as $newwidth)
					{	 
						if(file_exists(ADMISSION_FILE.$newwidth."_".$ad_del["value"]))
							 unlink(ADMISSION_FILE.$newwidth."_".$ad_del["value"]);
					}
				}
			}
		}
		$sql = "DELETE FROM `".TBL."admission_application_data` WHERE `app_id` in (" . implode(",", $d_cond) . ")";
		$db->query( $sql );
		if($db -> delete_checkbox($t_name, $d_cond, ""))
		{
			$_SESSION['msg'] = "Application deleted successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to delete Application!";
			$_SESSION['f'] = "danger";
		}
	}
	if ($_POST['acton'] == "Approve" || $_POST['acton'] == "Unapprove" || (($_POST['confirm-acton'] == "Approve" || $_POST['confirm-acton'] == "Unapprove") && !isset($_POST['acton']))) {
		if($_POST['acton'] == "approve" || $_POST['confirm-acton'] == "Approve")
		{
			$s = 1;
			$res = "approve";
		}
		else
		{
			$s = 0;
			$res = "unapprove";
		}
		$s_val = array("status" => $s);
		$p_cond = $_POST['multicheck'];
		if($db -> update_checkbox($t_name, $s_val, $p_cond))
		{
			if($s == 1)
			{
				foreach($p_cond as $application_id )
				{
					send_confrm_email($db, $php_mailer_path, $application_id, $app_form_path);
				}
				
			}
			$_SESSION['msg'] = "Application ".$res."ed successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to ".$res." Application!";
			$_SESSION['f'] = "danger";
		}
	}
	
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	header("Location: ".TEMP_PATH."application_manage.php");
	die();
}
else if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
if(isset($_SESSION['page']))
	$p = $_SESSION['page'];
if(isset($_SESSION['rec']))
	$rec = $_SESSION['rec'];
if(isset($_SESSION['search']))
	$search = $_SESSION['search'];	
unset($_SESSION['page']);
unset($_SESSION['search']);
$p = 1;
if($rec == "")
	$rec = 10;
$lwrlmt = ($p-1) * $rec;
$query = "SELECT * FROM $t_name";
$results = $db -> get_results($query);
foreach( $results as $row )
{
	$list .= '<tr>
				<td>
					<input type="checkbox" class="checkboxes" title="Select" name="multicheck[]" value="'.$row["id"].'"/>
				</td><td>'.$row["ref_no"].$row["id"].'</td>';
/* 		$query1 = "SELECT param,value FROM ".TBL."admission_application_data where app_id=".$row["id"];
		$results1 = $db -> get_results($query1);
		foreach( $results1 as $row1 )
			$list .='<td></td>';
 */		$list .='<td>
					<span class="bg-'.($row["status"]?"olive":"orange").' btn-flat">'.($row["status"]?"Approved":"Unapproved").'</span>
				</td>
				<td>
					<a class="btn-app" href="application_view.php?view='.$row["id"].'">
						<i class="fa fa-edit"></i>View
					</a>
				</td>
			</tr>';
}
?>