<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
if(!empty($_GET['mod']))
	$mod = ucfirst($_GET['mod']);
else
	header("location:dashboard.php");
$f = $msg = $list = "";
$action = "Add";
$suf = "Category";
$t_name = TBL.strtolower($mod).'_categories';
if($mod == "Staff"){
	$t_name = TBL.strtolower($mod).'_departments';
	$suf = "Department";
}
if($mod == "User"){
	$t_name = TBL.strtolower($mod).'_groups';
	$suf = "Group";
}	
if($mod == "Exam" || $mod == "Grade" || $mod == "Subjects"){
	$t_name = TBL.strtolower($mod);
	$suf = "";
}	
if(count($_POST) > 0)
{
	$_POST = $db -> filter($_POST);
	if(isset($_POST['page']))
		$_SESSION['page'] = $_POST['page']; 
	elseif(isset($_POST['cur_page']))
		$_SESSION['page'] = $_POST['cur_page'];
	if(!empty($_POST['rec']))
		$_SESSION['rec'] = $_POST['rec'];
	if(isset($_POST['search']))
		$_SESSION['search'] = $_POST['search'];
	
	if ($_POST['acton'] == "Delete" || ($_POST['confirm-acton'] == "Delete" && !isset($_POST['acton']))) {
		$d_cond = $_POST['multicheck'];
		if($db -> delete_checkbox($t_name, $d_cond, "delete_restriction != '1'"))
		{
			$_SESSION['msg'] = $mod." ".$suf." deleted successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to delete ".$mod." ".$suf;
			$_SESSION['f'] = "danger";
		}
	}
	if ($_POST['acton'] == "Publish" || $_POST['acton'] == "Unpublish" || (($_POST['confirm-acton'] == "Publish" || $_POST['confirm-acton'] == "Unpublish") && !isset($_POST['acton']))) {
		if($_POST['acton'] == "publish" || $_POST['confirm-acton'] == "Publish")
		{
			$s = 1;
			$res = "publish";
		}
		else
		{
			$s = 0;
			$res = "unpublish";
		}
		$s_val = array("status" => $s);
		$p_cond = $_POST['multicheck'];
		if($db -> update_checkbox($t_name, $s_val, $p_cond))
		{
			$_SESSION['msg'] = $mod." ".$suf." ".$res." successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to ".$res." ".$mod." ".$suf;
			$_SESSION['f'] = "danger";
		}
	}
	if ($_POST['acton'] == "Save order") {
		$ids = $_POST['sortid'];
		$orders = $_POST['order'];
		for ($i = 0; $i < count($ids); $i++) {
			$sql.="UPDATE `$t_name` SET `sort_order`='".(int)$orders[$i]."' where id='".(int)$ids[$i]."';";
		}
		if ($db -> multi_query($sql)){
			$_SESSION['msg'] = "Orders have been updated succesfully.";
			$_SESSION['f'] = "success";
		}
		else {
			$_SESSION['msg'] = "Unable to update orders!";
			$_SESSION['f'] = "danger";
		}
	}
	if ($_POST['category']) {
		$id = (int)($_POST['id']);
		$category=ucfirst($_POST['category']);
		$sort_order = (int)($_POST['sort_order']);
		$status=$_POST['status'];
		$c_cond = "category = '$category'";
		if($id)
		    $c_cond .= " and id != '$id'";
		$n = $db -> count_where($t_name, $c_cond);
		if($n == 0)
		{
			$t_vals = array("category" => $category, "sort_order" => $sort_order, "status" => $status);
			if(empty($userid))
				$userid = 0;
			if ($id > 0) {
				//Update 
				$t_vals['edit_date'] = date('Y-m-d H:i:s');
				$t_vals['edit_id'] = $userid;
				$u_cond = array("id" => $id);
				if ($db -> update($t_name, $t_vals, $u_cond)) 
				{					
					$_SESSION['msg'] = $mod." ".$suf." updated succesfully.";
					$_SESSION['f'] = "success";
				}
				else
				{
					$_SESSION['msg'] = "Unable to update ".$mod." ".$suf;
					$_SESSION['f'] = "danger";
				}	
			}
			else 
			{
				// insert 
				$t_vals['add_date'] = date('Y-m-d H:i:s');
				$t_vals['add_id'] = $userid;
				if ($db -> insert($t_name, $t_vals)) 
				{						
					$_SESSION['msg'] = $mod." ".$suf." added succesfully.";
					$_SESSION['f'] = "success";
				}
				else
				{
					$_SESSION['msg'] = "Unable to add ".$mod." ".$suf;
					$_SESSION['f'] = "danger";
				}
			}
		}
		else
		{
			$_SESSION['msg'] = $mod." ".$suf." already exist.";
			$_SESSION['f'] = "warning";
		}
	}
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	header("Location: ".TEMP_PATH."category.php?mod=$mod");
	die();
}
else if((int)$_GET['edit'] != "") {
	$action = "Edit";
	$id = (int)$_GET['edit'];
	$query = "SELECT id,category,sort_order,status FROM `$t_name` WHERE id='$id'";
	$e = $db -> get_row($query);
}
else if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
if(isset($_SESSION['page']))
	$p = $_SESSION['page'];
if(isset($_SESSION['rec']))
	$rec = $_SESSION['rec'];
if(isset($_SESSION['search']))
	$search = $_SESSION['search'];	
unset($_SESSION['page']);
unset($_SESSION['search']);
$p = 1;
if($rec == "")
	$rec = 10;
$lwrlmt = ($p-1) * $rec;
$query = "SELECT * FROM $t_name";
$results = $db -> get_results($query);
foreach( $results as $row )
{
	$list .='<tr>
			<td>
				<input type="checkbox" class="checkboxes '.($row["delete_restriction"]?"delete-restrict":"all-acton").'" title="Select" name="multicheck[]" value="'.$row["id"].'"/>
			</td>
			<td>'.$row["category"].($row["delete_restriction"]?' &nbsp;<small class="badge bg-aqua">default</small>':"").'</td>
			<td>
				<input type="number" min=0 title="sort order" name="order[]" value="'.$row["sort_order"].'"/>
				<input type="hidden" name="sortid[]" value="'.$row["id"].'"/>
			</td>
			<td>
				<span class="bg-'.($row["status"]?"olive":"orange").' btn-flat">'.($row["status"]?"Publish":"Unpublish").'</span>
			</td>
			<td>
				<a class="btn-app" href="category.php?mod='.$mod.'&edit='.$row["id"].'">
					<i class="fa fa-edit"></i>Edit
				</a>
			</td>
		</tr>';
}
?>