<?php 
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$f = $msg = $list = "";
$action = "Add";
$t_name = TBL.'modules';
if(count($_POST) > 0)
{
	$_POST = $db -> filter($_POST);
	if(isset($_POST['page']))
		$_SESSION['page'] = $_POST['page']; 
	elseif(isset($_POST['cur_page']))
		$_SESSION['page'] = $_POST['cur_page'];
	if(!empty($_POST['rec']))
		$_SESSION['rec'] = $_POST['rec'];
	if(isset($_POST['search']))
		$_SESSION['search'] = $_POST['search'];
	
	if ($_POST['acton'] == "Delete" || ($_POST['confirm-acton'] == "Delete" && !isset($_POST['acton']))) {
		$d_cond = $_POST['multicheck'];
		if($db -> delete_checkbox($t_name, $d_cond))
		{
			$_SESSION['msg'] = "Modules deleted successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to delete Modules!";
			$_SESSION['f'] = "danger";
		}
	}
	if ($_POST['acton'] == "Publish" || $_POST['acton'] == "Unpublish" || (($_POST['confirm-acton'] == "Publish" || $_POST['confirm-acton'] == "Unpublish") && !isset($_POST['acton']))) {
		if($_POST['acton'] == "publish" || $_POST['confirm-acton'] == "Publish")
		{
			$s = 1;
			$res = "publish";
		}
		else
		{
			$s = 0;
			$res = "unpublish";
		}
		$s_val = array("status" => $s);
		$p_cond = $_POST['multicheck'];
		if($db -> update_checkbox($t_name, $s_val, $p_cond))
		{
			$_SESSION['msg'] = "Modules ".$res." successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to ".$res." Modules!";
			$_SESSION['f'] = "danger";
		}
	}
	if ($_POST['acton'] == "Save IDs") {
		$ids = $_POST['sortid'];
		$orders = $_POST['order'];
		for ($i = 0; $i < count($ids); $i++) {
			$sql.="UPDATE `$t_name` SET `access_id`='".(int)$orders[$i]."' where id='".(int)$ids[$i]."';";
		}
		if ($db -> multi_query($sql)){
			$_SESSION['msg'] = "IDs have been updated succesfully.";
			$_SESSION['f'] = "success";
		}
		else {
			$_SESSION['msg'] = "Unable to update IDs!";
			$_SESSION['f'] = "danger";
		}
	}
	if ($_POST['category']) {
		$id = (int)($_POST['id']);
		$category=ucfirst($_POST['category']);
		$sort_order = (int)($_POST['sort_order']);
		if($_POST['publish_date'] != "-")
			$publish_date=explode(" -", $_POST['publish_date']);
		$status=$_POST['status'];
		$c_cond = "name = '$category'";
		if($id)
		    $c_cond .= " and id != '$id'";
		$n = $db -> count_where($t_name, $c_cond);
		if($n == 0)
		{
			if($devlopment_mode && $sort_order==0)
			{
				$query = "SELECT access_id, id from `$t_name` where access_id =(select max(access_id) FROM `$t_name`)";
				if($e = $db -> get_row($query))
					$sort_order =($e[1]==$id)?$e[0]:$e[0]+1;
			    else
					$sort_order=1;
			}
			$t_vals = array("name" => $category, "status" => $status, "display_from" => dbDateTime($publish_date[0]), "display_to" => dbDateTime($publish_date[1]));
			if($devlopment_mode)
					$t_vals['access_id'] = $sort_order;
			if(empty($userid))
				$userid = 0;
			if ($id > 0) {
				//Update 
				$t_vals['edit_date'] = date('Y-m-d H:i:s');
				$t_vals['edit_id'] = $userid;
				$u_cond = array("id" => $id);
				if ($db -> update($t_name, $t_vals, $u_cond)) 
				{					
					$_SESSION['msg'] = "Module updated succesfully.";
					$_SESSION['f'] = "success";
				}
				else
				{
					$_SESSION['msg'] = "Unable to update Module!";
					$_SESSION['f'] = "danger";
				}	
			}
			else 
			{
				// insert 
				$t_vals['add_date'] = date('Y-m-d H:i:s');
				$t_vals['add_id'] = $userid;
				if ($db -> insert($t_name, $t_vals)) 
				{						
					$_SESSION['msg'] = "Module added succesfully.";
					$_SESSION['f'] = "success";
				}
				else
				{
					$_SESSION['msg'] = "Unable to add Module!";
					$_SESSION['f'] = "danger";
				}
			}
		}
		else
		{
			$_SESSION['msg'] = "Module already exist.";
			$_SESSION['f'] = "warning";
		}
	}
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	header("Location: ".TEMP_PATH."modules.php");
	die();
}
else if((int)$_GET['edit'] != "") {
	$action = "Edit";
	$id = (int)$_GET['edit'];
	$query = "SELECT name,display_from,display_to,access_id,status,id FROM `$t_name` WHERE id='$id'";
	$e = $db -> get_row($query);
}
else if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
if(isset($_SESSION['page']))
	$p = $_SESSION['page'];
if(isset($_SESSION['rec']))
	$rec = $_SESSION['rec'];
if(isset($_SESSION['search']))
	$search = $_SESSION['search'];	
unset($_SESSION['page']);
unset($_SESSION['search']);
$p = 1;
if($rec == "")
	$rec = 10;
$lwrlmt = ($p-1) * $rec;
$query = "SELECT * FROM $t_name order by `access_id`";
$results = $db -> get_results($query);
foreach( $results as $row )
{
	$list .= '<tr>
			<td>
				<input type="checkbox" class="checkboxes" title="Select" name="multicheck[]" value="'.$row["id"].'"/>
			</td>
			<td>'.$row["name"].'</td>
			<td>
				<input '.($devlopment_mode?"":"disabled").' type="number" min=0 title="sort order" name="order[]" value="'.$row["access_id"].'"/>
				<input type="hidden" name="sortid[]" value="'.$row["id"].'"/>
			</td>
			<td>
				<span class="bg-'.($row["status"]?"olive":"orange").' btn-flat">'.($row["status"]?"Publish":"Unpublish").'</span>
			</td>
			<td>
				<a class="btn-app" href="modules.php?edit='.$row["id"].'">
					<i class="fa fa-edit"></i>Edit
				</a>
			</td>
		</tr>';
}
?>