<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$t_name = TBL."news";
$f = $msg = $list = "";
if(isset($_GET['type']) && $_GET['type'] == "archive" )
{
	$is_archive = 1;
}
else
{
	$is_archive = 0;	
}
if(count($_POST) > 0)
{
	$_POST = $db -> filter($_POST);
	if(isset($_POST['page']))
		$_SESSION['page'] = $_POST['page']; 
	elseif(isset($_POST['cur_page']))
		$_SESSION['page'] = $_POST['cur_page'];
	if(!empty($_POST['rec']))
		$_SESSION['rec'] = $_POST['rec'];
	if(isset($_POST['search']))
		$_SESSION['search'] = $_POST['search'];
	
	if ($_POST['acton'] == "Delete" || ($_POST['confirm-acton'] == "Delete" && !isset($_POST['acton']))) {
		$d_cond = $_POST['multicheck'];
		foreach($d_cond as $id)
		{
			$sqld = "SELECT image FROM `$t_name` WHERE id=".(int)$id;
			$lcd = $db -> get_row($sqld);
			if(!empty($lcd[0]))
			{
				
				if(file_exists(NEWS_IMG.$lcd[0]))
					 unlink(NEWS_IMG.$lcd[0]);
				foreach($widthArray as $newwidth)
				{	 
					if(file_exists(NEWS_IMG.$newwidth."_".$lcd[0]))
						 unlink(NEWS_IMG.$newwidth."_".$lcd[0]);
				}
			}
		}
		if($db -> delete_checkbox($t_name, $d_cond, ""))
		{
			$_SESSION['msg'] = "News deleted successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to delete News!";
			$_SESSION['f'] = "danger";
		}
	}
	if ($_POST['acton'] == "Publish" || $_POST['acton'] == "Unpublish" || (($_POST['confirm-acton'] == "Publish" || $_POST['confirm-acton'] == "Unpublish") && !isset($_POST['acton']))) {
		if($_POST['acton'] == "publish" || $_POST['confirm-acton'] == "Publish")
		{
			$s = 1;
			$res = "publish";
		}
		else
		{
			$s = 0;
			$res = "unpublish";
		}
		$s_val = array("status" => $s);
		$p_cond = $_POST['multicheck'];
		if($db -> update_checkbox($t_name, $s_val, $p_cond))
		{
			$_SESSION['msg'] = "News ".$res." successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to ".$res." News!";
			$_SESSION['f'] = "danger";
		}
	}
	
	if ($_POST['acton'] == "Move to Archive" || $_POST['acton'] == "Remove from Archive" || (($_POST['confirm-acton'] == "Move to Archive" || $_POST['confirm-acton'] == "Remove from Archive" )&& !isset($_POST['acton']))) 
	{
		if($is_archive == 1)
		{
			$s = 0;
			$res = "Remove from Archive";
		}
		else
		{
			$s = 1;
			$res = "Move to Archive";
		}
		
		$s_val = array("is_archive" => $s);
		$p_cond = $_POST['multicheck'];
		if($db -> update_checkbox($t_name, $s_val, $p_cond))
		{
			$_SESSION['msg'] = $res."successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to Move!";
			$_SESSION['f'] = "danger";
		}
	}
	
	
	if ($_POST['acton'] == "Save order") {
		$ids = $_POST['sortid'];
		$orders = $_POST['order'];
		for ($i = 0; $i < count($ids); $i++) {
			$sql.="UPDATE `$t_name` SET `sort_order`='".(int)$orders[$i]."' where id='".(int)$ids[$i]."';";
		}
		if ($db -> multi_query($sql)){
			$_SESSION['msg'] = "Orders have been updated succesfully.";
			$_SESSION['f'] = "success";
		}
		else {
			$_SESSION['msg'] = "Unable to update orders!";
			$_SESSION['f'] = "danger";
		}
	}
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	if($is_archive)
		header("Location: ".TEMP_PATH."news_manage.php?type=archive");
	else
		header("Location: ".TEMP_PATH."news_manage.php");
	die();
}
else if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
if(isset($_SESSION['page']))
	$p = $_SESSION['page'];
if(isset($_SESSION['rec']))
	$rec = $_SESSION['rec'];
if(isset($_SESSION['search']))
	$search = $_SESSION['search'];	
unset($_SESSION['page']);
unset($_SESSION['search']);
$p = 1;
if($rec == "")
	$rec = 10;
$lwrlmt = ($p-1) * $rec;
$query = "SELECT a.*, b.category FROM $t_name a left join ".TBL."news_categories b on a.cat_id=b.id where a.flash_news=0 and a.is_archive='$is_archive'";
$results = $db -> get_results($query);
foreach( $results as $row )
{
	$featured = array("None", "New", "Important");
	$list .= '<tr>
				<td>
					<input type="checkbox" class="checkboxes" title="Select" name="multicheck[]" value="'.$row["id"].'"/>
				</td>
				<td>'.$row["title"].'</td>
				<td>'.$row["category"].'</td>
				<td>'.$featured[$row["featured"]].'</td>
				<td>'.($row["image"]?'<img src='.NEWS_IMG."100_".$row["image"].'>':'').'</td>
				<td>'.substr($db -> clean($row["description"]), 0, 50).'</td>
				<td>
					<input type="number" min=0 title="sort order" name="order[]" value="'.$row["sort_order"].'"/>
					<input type="hidden" name="sortid[]" value="'.$row["id"].'"/>
				</td>
				<td>
					<span class="bg-'.($row["status"]?"olive":"orange").' btn-flat">'.($row["status"]?"Publish":"Unpublish").'</span>
				</td>
				<td>
					<a class="btn-app" href="news'.($row["flash_news"]?"_flash":"").'.php?edit='.$row["id"].'">
						<i class="fa fa-edit"></i>Edit
					</a>
				</td>
			</tr>';
}
?>