<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$action = "Add";
$t_name = TBL."timetable";
$week_days = array(1=>"Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday");
$tbl_days = $days = $cols = "";
//if(isset($_POST))
//print_r($_POST);
/*function in_array_r($needle, $haystack, $strict = false) {
    foreach ($haystack as $k=>$item) {
        if (($strict ? $item === $needle : $item == $needle) || (is_array($item) && in_array_r($needle, $item, $strict))) {
            return $k;
        }
    }
    return false;
}
function subjects($db, $class) {
	$query = "SELECT ms.id, ms.category FROM msqt_subjects ms INNER JOIN msqt_class mc ON mc.subjects LIKE CONCAT('%,', ms.id, ',%') WHERE mc.id =".(int)$class;
	$subjects = $db -> get_results($query);
	$i = 1;
	foreach ($subjects as $subject) {

	$i++;
		$id   = $subject["id"];
		$name = $subject["category"];
		$out .= "<tr><td class=\"dark\"><div id=\"$id\" class=\"drag clone bc$i\">$name</div><input id=\"b_$id\" class=\"bc$i\" type=\"button\" value=\"\" onclick=\"report('$id')\" title=\"Show only $name\"/></td></tr>\n";
	}
	return $out;
}
function timetable($db, $hour, $row, $col) {
	global $rs;
	if ($rs === null) {
		$query = "select concat(t.tbl_row,'_',t.tbl_col) as pos, t.tbl_id, t.sub_id, s.sub_name from ".TBL."timetable t, ".TBL."subject s where t.sub_id = s.sub_id";
		$rs = $db -> get_results($query);
	}
	$out .= '<tr>';
	$out .= '<td class="mark dark"><input style="width:40px;" type="text" name="prd_time[]" value="' . $hour . '" placeholder="00:00"></td>';
	for($i=1; $i <= $col; $i++) {
		$out .= '<td>';
		$pos = $row . '_' . $i;
		$pos1 = in_array_r($pos, $rs);
		if ($pos !== false) {
			$elements = $rs[$pos1];
			$id = $elements["sub_id"] . 'b' . $elements["tbl_id"];
			$name = $elements["sub_name"];
			$class = $elements["sub_id"]; 
			$out .= "<div id=\"$id\" class=\"drag $class\">$name</div>";
		}
		$out .= '</td>';
	}
	$out .= "</tr>\n";
	return $out;
}*/
if($_POST['prds'])
{
	require_once '../inc/htmlpurifier/library/HTMLPurifier.auto.php';
	$html_config = HTMLPurifier_Config::createDefault();
	$purifier = new HTMLPurifier($html_config);
	$_POST['description'] = $purifier->purify($_POST['description']);
	$_POST = $db -> filter($_POST);
	$class = (int)$_POST['class'];
	$section = $_POST['section'];
	$open_time = $_POST['open_time'];
	$close_time = $_POST['close_time'];
	$assembly_time = $_POST['assembly_time'];
	$work_days = serialize($_POST['work_days']);
	$period_times = serialize($_POST['tms']);
	$total_periods = (int)$_POST['total_periods']; 
	$total_breaks = (int)$_POST['total_breaks']; 
	$description = $_POST['description'];
	$sort_order = (int)$_POST['sort_order'];
	$status = (bool)$_POST['status'];
	$id = (int)($_POST['id']);
	$arr = $_POST['prds'];
	$c_cond = "class = '$class' and section= '$section'";
	if($id)
		$c_cond .= " and id != '$id'";
	$n = $db -> count_where($t_name, $c_cond);
	if($n == 0)
	{
		$t_vals = array("class" => $class, "section" => $section, "sort_order" => $sort_order, "status" => $status, "open_time" => $open_time, "close_time" => $close_time, "description" => $description, "assembly_time" => $assembly_time, "working_days" => $work_days, "total_periods" => $total_periods, "total_breaks"=>$total_breaks, "period_times" => $period_times);
		if ($id > 0) {
			//Update 
			$u_cond = array("id" => $id);
			if ($db -> update($t_name, $t_vals, $u_cond)) 
			{			
				echo $last_id = $id;
				$_SESSION['msg'] = "Timetable updated succesfully.";
				$_SESSION['f'] = "success";
			}
			else
			{
				$_SESSION['msg'] = "Unable to update Timetable!";
				$_SESSION['f'] = "danger";
			}	
		}
		else 
		{
			// insert 
			if ($db -> insert($t_name, $t_vals)) 
			{		
				$last_id = $db->lastid();			
				$_SESSION['msg'] = "Timetable added succesfully.";
				$_SESSION['f'] = "success";
			}
			else
			{
				$_SESSION['msg'] = "Unable to add Timetable!";
				$_SESSION['f'] = "danger";
			}
		}
		if (is_array($arr) && !empty($last_id)) 
		{
			$db -> query('delete from '.TBL.'timetable_periods where timetable_id='.$last_id);
			foreach ($arr as $p) 
			{
				$t_vals = array("period" => $p, "timetable_id" => $last_id);
				$db -> insert(TBL.'timetable_periods', $t_vals);
			}
			$_SESSION['msg'] = "Timetable saved succesfully.";
			$_SESSION['f'] = "success";
		}
	}
	else
	{
		$_SESSION['msg'] = "Timetable already exist.";
		$_SESSION['f'] = "warning";
	}
	//exit;
	header("HTTP/1.1 303 See Other");
	$str = $id?"?edit=".$id:"";
	header("Location: ".TEMP_PATH."timetable.php".$str);
	die();
}
else if((int)$_GET['edit'] != "") {
	$action = "Edit";
	$id = (int)$_GET['edit'];
	$query = "SELECT a.*, b.section FROM $t_name a left join ".TBL."class b on a.class=b.id where a.id=".$id;
	$e = $db -> get_row($query);
	$sec = explode(",", trim($e[13], ","));
	$seclist = '<select class="form-control validate[required]" id="drop_section" name="section">';
	foreach ($sec as $k=>$l) {
		$seclist .= '<option value="' . $l . '"';
		if ($l == $e[2]) {
			$seclist .= ' selected="selected"';
		}
		$seclist .= '>' . $l . '</option>';
	}
	$seclist .= '</select>';
	
	$ar_wk = unserialize($e[6]);
	if(!empty($e[7]) && sizeof($ar_wk)>0 && !empty($e[1]))
	{
		$days = $ar_wk;
		$p = $e[7]+$e[8];
		$c = $e[1];
		$sqls = 'SELECT ms.id, ms.category 
	FROM msqt_subjects ms 
	INNER JOIN msqt_class mc ON mc.subjects LIKE CONCAT("%,", ms.id, ",%")
	WHERE mc.id = '.$c;
		$dbResults = $db -> get_results($sqls);
		$prd_tm = unserialize($e[9]);
		$outl .= '<p style="color:purple;">Click and drag row to change its order</p><table id="sample_2" class="table table-bordered table-striped"><thead><tr><th>Time</th>';
		foreach($days as $day)
		{
			$outl .= '<th>'.$week_days["$day"].'</th>';
		}
		$outl .= '</tr></thead><tbody>';
		$k = 0;
		for($j = 1; $j<=$p; $j++)
		{
			$outl .= '<tr><td><input class="timepicker" size=5 type="text" name="tms[]" placeholder="00:00" value="'.$prd_tm[$j-1].'"></td>';
			
			foreach($days as $day)
			{
				$query = "SELECT period FROM ".TBL."timetable_periods where timetable_id=".$e[0] ." order by id limit $k, 1";
				$pd = $db -> get_row($query);
				$k++;
				if($pd[0]=="Break")
				{
					$outl .= '<td colspan='.sizeof($days).' align="center" style="color:red">Break<input type="hidden" name="'.$name.'" value="Break"></td>';
					break;
				}
				$name = 'prds[]';
				$outl .= '<td><select name="'.$name.'">';
				$outl .= '<option value="NA" '.($pd[0] == "NA"?"selected":"").'>NA</option>';
				foreach($dbResults as $r)
				{
					
					$outl .= '<option value="'.$r["id"].'" '.($pd[0] == $r['id']?"selected":"").'>'.$r["category"].'</option>';
				}
				$outl .= '</select></td>';
			}
			$outl .= '</tr>';
		}
		$outl .= '</tbody></table>';
	}
}
if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}

$sql = "select id as val,class as opt from `".TBL."class` WHERE status=1 order by sort_order";
$dbResult = $db -> get_results($sql);
foreach($week_days as $k=>$w){ 
	$wk_days .= '<div class="col-lg-2">
			<div class="checkbox">
				<label>
					<input type="checkbox" ';
					if($e)
						$wk_days .= in_array($k, $ar_wk)?"checked":"";
					$wk_days .= ' name="work_days[]" value="'.$k.'">
					'.$w.'
				</label>
			</div>
		</div>';
}
?>