<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$action = "Add";
$t_name = TBL."videos";
if ($_POST['CSRFToken'] == $_SESSION['school']['CSRFToken'])  {
	$_POST['title'] = strip_tags($_POST['title']);
	require_once '../inc/htmlpurifier/library/HTMLPurifier.auto.php';
	$html_config = HTMLPurifier_Config::createDefault();
	$purifier = new HTMLPurifier($html_config);
	$_POST['description'] = $purifier->purify($_POST['description']);
	$_POST = $db -> filter($_POST);
	$description = $_POST['description'];
	$id = (int)($_POST['id']);
	$title = $_POST['title'];
	$category=1;
	$flash_news=1;
	$embedded_url = ($_POST['embedded_url']);
	$msg = "";
	$sort_order = (int)($_POST['sort_order']);
	$status = (bool)($_POST['status']);
	$c_cond = "title= '$title'";
	if($id)
		$c_cond .= " and id != '$id'";
	$n = $db -> count_where($t_name, $c_cond);
	if($n == 0)
	{
		$t_vals = array("title" => $title, "sort_order" => $sort_order, "status" => $status, "embedded_url" => $embedded_url, "description" => $description);
		if(empty($userid))
			$userid = 0;
		if ($id > 0) {
			//Update 
			$t_vals['edit_date'] = date('Y-m-d H:i:s');
			$t_vals['edit_id'] = $userid;
			$u_cond = array("id" => $id);
			if ($db -> update($t_name, $t_vals, $u_cond)) 
			{					
				$_SESSION['msg'] = "Video updated succesfully.";
				$_SESSION['f'] = "success";
			}
			else
			{
				$_SESSION['msg'] = "Unable to update Video!";
				$_SESSION['f'] = "danger";
			}	
		}
		else 
		{
			// insert 
			$t_vals['add_date'] = date('Y-m-d H:i:s');
			$t_vals['add_id'] = $userid;
			if ($db -> insert($t_name, $t_vals)) 
			{						
				$_SESSION['msg'] = "Video added succesfully.";
				$_SESSION['f'] = "success";
			}
			else
			{
				$_SESSION['msg'] = "Unable to add Video!";
				$_SESSION['f'] = "danger";
			}
		}
	}
	else
	{
		$_SESSION['msg'] = "Video already exist.";
		$_SESSION['f'] = "warning";
	}
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	$str = $id?"?edit=".$id:"";
	header("Location: ".TEMP_PATH."video.php".$str);
	die();
}
else if((int)$_GET['edit'] != "") {
	$action = "Edit";
	$id = (int)$_GET['edit'];
	$query = "SELECT * FROM `$t_name` WHERE id='$id'";
	$e = $db -> get_row($query);
}
if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
?>