$(function() {
	$('#popup-validation').validationEngine();
	//Date range picker
	$('#reservation').daterangepicker();
	//Date range picker with time picker
	$('#reservationtime').daterangepicker({timePicker: true, timePickerIncrement: 30, format: 'DD-MM-YYYY h:mm A'});
	$("#example1").dataTable();
	$('#example2').dataTable({
		"bPaginate": true,
		"bLengthChange": false,
		"bFilter": false,
		"bSort": false,
		"bInfo": true,
		"bAutoWidth": false
	});
	$('#sample_2').dataTable({
		"aLengthMenu": [     
		[20, 40, 50, 100, 200, -1],   
		[20, 40, 50, 100, 200, "All"] 
		],  
		"iDisplayLength": 20,
		"bRetrieve": true,
		"sDom": "<'row-fluid'<'span6'l><'span6'f>r>t<'row-fluid'<'span6'i><'span6'p>>",
		"sPaginationType": "bootstrap",
		"oLanguage": {
			"sLengthMenu": "_MENU_ per page",
			"oPaginate": {
				"sPrevious": "Prev",
				"sNext": "Next"
			}
		},
		"aoColumnDefs": [{
				'bSortable': false,
				'aTargets': [0]
			}
		]
	});			
	$('#sample_2 .group-checkable').on('change', function () {
		var set = $(this).attr("data-set");
		var checked = $(this).is(":checked");
		$(set).each(function () {
			if (checked) {
				$(this).prop("checked", true);
			} else {
				$(this).prop("checked", false);
			}
		});
		//$.uniform.update(set);
	});
});
$("#confirm-delete, #confirm-publish, #confirm-unpublish, #confirm-archive").click(function(){
	var action = $(this).val();
	$(".modal-body").html("<p>Are you sure to "+action+" records?</p>");
	$("#confirm1 .confirm-continue").click(function(){
		$("#confirm-acton").val(action);
		$("#data-table-form").submit();
	});
});