<?php require_once("functions/maintenance_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php echo SCHOOL;?> admin | Maintenance Page Settings</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- upload -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-fileupload.min.css" rel="stylesheet" type="text/css" />
		<!-- Bootstrap Color Picker -->
        <link href="<?php echo ADMIN_SITE;?>css/colorpicker/bootstrap-colorpicker.min.css" rel="stylesheet"/>
		<!-- Bootstrap Date Picker -->
        <link href="<?php echo ADMIN_SITE;?>css/datepicker/datepicker3.css" rel="stylesheet"/>
        <!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>Maintenance Page Settings</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Settings</a></li>
                        <li class="active">Maintenanace Page</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
										<div class="form-group">
											<label class="control-label col-lg-1">Background Image</label>
											<div class="col-lg-4">
												<div class="fileupload fileupload-<?php echo $e[2]?'exists':'new';?>" data-provides="fileupload">
													<div class="fileupload-new thumbnail" style="width: 200px; height: 150px;"><img src="img/demoUpload.jpg" alt="" /></div>
													<div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
													<?php echo $e[2]?'<img src="'.PAGES_IMG.$e[2].'">':'';?>
													</div>
													<div>
														<span class="btn btn-file btn-primary"><span class="fileupload-new">Select image</span><span class="fileupload-exists">Change</span><input type="file" name="image" value="<?php echo $e[2]?$e[2]:'';?>"/></span>
														<a href="#" class="btn btn-danger fileupload-exists" data-dismiss="fileupload">Remove</a>
													</div>
												</div>
												<input type="hidden" name="cur_image" value="<?php echo $e[2]?$e[2]:'';?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Background color</label>
											<div class="input-group my-colorpicker2 col-lg-4">
												<input type="text" class="form-control" name="bgcolor" value="<?php echo $e[3]?$e[3]:""; ?>"/>
												<div class="input-group-addon">
													<i></i>
												</div>
											</div><!-- /.input group -->
										</div><!-- /.form group -->
										<div class="form-group">
											<div class="col-lg-12">
												<div class='box box-info'>
													<div class='box-header'>
														<h3 class='box-title'>Content</h3>
														<!-- tools box -->
														<div class="pull-right box-tools">
															<button class="btn btn-info btn-sm" data-widget='collapse' data-toggle="tooltip" title="Collapse"><i class="fa fa-minus"></i></button>
															<button class="btn btn-info btn-sm" data-widget='remove' data-toggle="tooltip" title="Remove"><i class="fa fa-times"></i></button>
														</div>
													</div>
													<div class='box-body pad'>
														<textarea id="editor1" name="content" rows="10" cols="80"><?php echo $e[1]?$e[1]:""; ?></textarea>
													</div>
												</div><!-- /.box -->
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Live on</label>
											<div class="col-lg-4">
												<input type="text" id="livedate" class="form-control" name="livedate" value="<?php echo $e[4]?userDate($e[4]):""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Status</label>
											<div class="col-lg-4">
												<?php 
												$chk = isset($e[5])?$e[5]:'1';
												echo status($chk); ?>
											</div>
										</div>
									</div><!-- /.box-body -->
                                    <div class="box-footer">
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		 <!-- bootstrap color picker -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/colorpicker/bootstrap-colorpicker.min.js" type="text/javascript"></script>
		<!-- bootstrap time picker -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/datepicker/bootstrap-datepicker.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- CK Editor -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/ckeditor/ckeditor.js" type="text/javascript"></script>
		<!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.min.js" type="text/javascript"></script>
		<!-- upload -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-fileupload.js" type="text/javascript"></script>
		<script type="text/javascript">
            $(function() {
				CKEDITOR.replace('editor1');
                //bootstrap WYSIHTML5 - text editor
                //$(".textarea").wysihtml5();
				//color picker with addon
                $(".my-colorpicker2").colorpicker();
				$('#livedate').datepicker({ 
					format: 'dd-mm-yyyy',
					autoclose: true		
				});
            });
        </script>
    </body>
</html>