<?php require_once("functions/newsletter_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php echo SCHOOL;?> admin | Alumni Newsletter</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>Newsletter</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Alumni</a></li>
                        <li class="active">Newsletter</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
                                    <input type="hidden" name="CSRFToken"  value="<?php echo $_SESSION['school']['CSRFToken']; ?>"/>
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">From Email</label>
											<div class="col-lg-4">
											    <input type="text" name="from" class="validate[required] form-control" value=""/>
											</div>
										</div>
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">Subject</label>
											<div class="col-lg-4">
												<input type="text" name="subject" class="form-control" value=""/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Passout Year</label>
											<div class="col-lg-4">
												<?php echo multiSelectDbList("passout_year[]", $dbResult, $e[6], $defaultOptionSet=0, $defaultOption="Select Year", $validation="validate[required]"); ?>
											</div>
										</div>
										<div class="form-group">
											<div class="col-lg-12">
												<div class='box box-info'>
													<div class='box-header'>
														<h3 class='box-title'>Message</h3>
														<!-- tools box -->
														<div class="pull-right box-tools">
															<button class="btn btn-info btn-sm" data-widget='collapse' data-toggle="tooltip" title="Collapse"><i class="fa fa-minus"></i></button>
															<button class="btn btn-info btn-sm" data-widget='remove' data-toggle="tooltip" title="Remove"><i class="fa fa-times"></i></button>
														</div><!-- /. tools -->
													</div><!-- /.box-header -->
													<div class='box-body pad'>
														<textarea id="editor1" name="message" rows="10" cols="80"></textarea>
													</div>
												</div><!-- /.box -->
											</div>
										</div>
                                    </div><!-- /.box-body -->
                                    <div class="box-footer">
                                        <button type="submit" name="submit" class="btn btn-primary">Sent</button>
										<button type="reset" name="reset" id="reset" class="btn btn-default">Reset</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- CK Editor -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/ckeditor/ckeditor.js" type="text/javascript"></script>
		<!-- validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<!-- common-add -->
		<script type="text/javascript">
            $(function() {
				$('#popup-validation').validationEngine();
                // Replace the <textarea id="editor1"> with a CKEditor
                // instance, using default configuration.
                CKEDITOR.replace('editor1');
				$("#reset").on('click', function(){
					CKEDITOR.instances.editor1.setData( CKEDITOR.instances.content, function() { this.updateElement(); } );
				});
            });
        </script>
    </body>
</html>