<?php require_once("functions/passout_year_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php echo SCHOOL;?> admin | <?php echo $action;?> Passout Year</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- modal-popup -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-modal.css" rel="stylesheet" type="text/css" />
        <!-- DATA TABLES -->
        <link href="<?php echo ADMIN_SITE;?>css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
		<link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>Passout Year Manage
					<?php if((int)$_GET['edit'] != "") 
						echo '<small><a href="passout_year.php" class="btn btn-success btn-sm">Add Passout Year</a></small>';
					?></h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Alumni</a></li>
                        <li class="active">Passout Year</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
					<!-- Main content -->
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form role="form" action="passout_year.php" method="post" id="popup-validation">
									<div class="box-header">
										<h3 class="box-title"><?php echo $action." Year";?></h3>
									</div>
                                    <div class="box-body clearfix">
                                        <div class="form-group  col-lg-6">
                                            <label class="control-label col-lg-3">Year</label>
											<div class="col-lg-9">
												<input type="text" name="category" class="validate[required] form-control" value="<?php echo $e[1]?$e[1]:'';?>"/>
											</div>
										</div>
									</div>
                                    <div class="box-footer">
										<input type="hidden" name="id" value="<?php echo $e[0]?$e[0]:'';?>"/>
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
										<button type="reset" name="reset" class="btn btn-default">Reset</button>
                                    </div>
                                </form>
								<div id="confirm1" class="modal fade" tabindex="-1" data-backdrop="static" data-keyboard="false">
									<div class="modal-body">
										<p>Would you like to continue?</p>
									</div>
									<div class="modal-footer">
										<button type="button" data-dismiss="modal" class="btn">Cancel</button>
										<button type="button" data-dismiss="modal" class="btn btn-primary confirm-continue">Continue</button>
									</div>
								</div>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
							<div class="box">
								<form id="data-table-form" method="post" action="">
                                <div class="box-header">
                                    <h3 class="box-title">Passout Year List</h3>
									<div class="col-md-6 button_right">
										<input type="submit" class="btn btn-danger btn-sm" name="acton" id="confirm-delete" value="Delete" data-toggle="modal" href="#confirm1">
										<input type="hidden" id="confirm-acton" name="confirm-acton" value="" />
									</div>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">
                                    <table id="sample_2" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th><input type="checkbox" title="Select All" class="group-checkable" data-set="#sample_2 .checkboxes"/></th>
                                                <th>Year</th>
                                                <th>Total Members</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
										<?php echo $list; ?>
										</tbody>
									</table>
                                </div><!-- /.box-body -->
								</form>
                            </div><!-- /.box -->
						</div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- data-table -->
		<script src="<?php echo ADMIN_SITE;?>js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
        <script src="<?php echo ADMIN_SITE;?>js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
		<!-- modal-popup -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modalmanager.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modal.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
		<!-- data-validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<!-- date-common -->
		<script src="<?php echo ADMIN_SITE;?>js/common.js" type="text/javascript"></script>
		<script type="text/javascript">
			$(function() {
				$(".delete-restrict").click(function() {
					if(this.checked)
						$("#confirm-delete").attr('disabled','disabled');
					else
					    $("#confirm-delete").removeAttr('disabled');
				});
				/*$(".all-acton, .delete-restrict, .group-checkable").on('click', function() {
				alert($(".delete-restrict:checked").length);
					if($(".all-acton:checked").length || $(".delete-restrict:checked").length)
					{
						if($(".delete-restrict:checked").length)
						{
							$("#confirm-publish, #confirm-unpublish").removeAttr('disabled');
							$("#confirm-delete").attr('disabled','disabled');
						}
						else
							$("#confirm-delete, #confirm-publish, #confirm-unpublish").removeAttr('disabled');
					}
					else
						$("#confirm-delete, #confirm-publish, #confirm-unpublish").attr('disabled','disabled');
				});*/
			});
		</script>
    </body>
</html>