<?php require_once("functions/profile_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php echo SCHOOL;?> admin | Profile</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>Profile</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Profile</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">Name</label>
											<div class="col-lg-4">
												<input type="text" name="name" class="validate[required] form-control" value="<?php echo $e[1]?$e[1]:""; ?>"/>
											</div>
										</div>
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">User name</label>
											<div class="col-lg-4">
												<input type="text" name="username" class="validate[required] form-control" value="<?php echo $e[2]?$e[2]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Password</label>
											<div class="col-lg-4">
												<input type="password" id="password" name="password" class="form-control" value=""/>
											</div>If you would like to change the password type a new one. Otherwise leave this blank.
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Confirm password</label>
											<div class="col-lg-4">
												<input type="password" name="cpassword" class="validate[equals[password]] form-control" value=""/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Email</label>
											<div class="col-lg-4">
												<input type="email" name="email" class="validate[required,custom[email]] form-control" value="<?php echo $e[4]?$e[4]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Group</label>
											<div class="col-lg-4">
												<?php echo $e[16]; ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Status</label>
											<div class="col-lg-4">
												<?php echo $e[6]==1?'Active':'Inactive';?>
											</div>
										</div>
										<div class="form-group">
										<label class="control-label col-lg-4">Permission to access</label>
											
										</div>
										<div class="form-group">
											<?php echo $access; ?>
										</div>
                                    </div><!-- /.box-body -->
                                    <div class="box-footer">
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.min.js" type="text/javascript"></script>
		<!-- validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<script type="text/javascript">
            $(function() {
				$('#popup-validation').validationEngine();
            });
        </script>
    </body>
</html>