<?php require_once("functions/timetable_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php echo SCHOOL;?> admin | <?php echo $action;?> Timetable</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
         <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- Bootstrap time Picker -->
        <link href="<?php echo ADMIN_SITE;?>css/timepicker/bootstrap-timepicker.min.css" rel="stylesheet"/>
        <!-- DATA TABLES -->
        <link href="<?php echo ADMIN_SITE;?>css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
		<!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
	</head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
						<?php 
						echo $action." Timetable";
						if((int)$_GET['edit'] != "") 
							echo '<small><a href="timetable.php" class="btn btn-success btn-sm">Add Timetable</a></small>';
						?>
					</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Timetable</a></li>
                        <li class="active"><?php echo $action; ?> Timetable</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
							<!-- general form elements -->
                            <div class="box box-primary">
                                <!-- form start -->
								<form action="" method="post" class="popup-validation">
									<div class="box-body">
										<div class="form-group">
											<label class="control-label col-lg-2">Class</label>
											<div class="col-lg-2">
												<?php echo selectDbList("class", $dbResult, $e[1], $defaultOptionSet=1, $defaultOption="Select Class", $validation="validate[required]"); ?>
											</div>
											<div class="col-lg-2" id="section">
												<?php echo $seclist; ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-2">School open time</label>
											<div class="bootstrap-timepicker input-group col-lg-3">
												<div class="input-group-addon">
													<i class="fa fa-clock-o"></i>
												</div>
												<input type="text" name="open_time" readonly="" class=" form-control timepicker" value="<?php echo $e[3]?$e[3]:""; ?>"/>
												
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-2">Assembly time</label>
											<div class="bootstrap-timepicker input-group col-lg-3">
												<div class="input-group-addon">
													<i class="fa fa-clock-o"></i>
												</div>
												<input type="text" name="assembly_time" readonly="" class=" form-control timepicker" value="<?php echo $e[5]?$e[5]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-2">School close time</label>
											<div class="bootstrap-timepicker input-group col-lg-3">
												<div class="input-group-addon">
													<i class="fa fa-clock-o"></i>
												</div>
												<input type="text" name="close_time" readonly="" class=" form-control timepicker" value="<?php echo $e[4]?$e[4]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-2">Working Days</label>
											<div class="col-lg-10">
												<?php echo $wk_days;?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-2">Total Periods</label>
											<div class="col-lg-3">
												<input type="number" min=1 max=15 name="total_periods" class="form-control" value="<?php echo $e[7]?$e[7]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-2">Total Breaks</label>
											<div class="col-lg-3">
												<input type="number" min=1 max=4 name="total_breaks" class="form-control" value="<?php echo $e[8]?$e[8]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<div class="col-lg-2"></div><div class="col-lg-3"><input type="button" id="create-timetable" name="generate" class="btn btn-success" value="Create Timetable"></div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg">Time Table</label>
											<div class="col-lg" id="gen-timetable">
												<?php if($outl){ echo $outl; }else{ ?>
												<div class="callout callout-info">Please provide total periods and working days to generate Timetable.</div>
												<?php }?>
											</div>
										</div>
										<div class="form-group">
											<div class="col-lg-12">
												<div class='box box-info'>
													<div class='box-header'>
														<h3 class='box-title'>Description</h3>
														<!-- tools box -->
														<div class="pull-right box-tools">
															<button class="btn btn-info btn-sm" data-widget='collapse' data-toggle="tooltip" title="Collapse"><i class="fa fa-minus"></i></button>
															<button class="btn btn-info btn-sm" data-widget='remove' data-toggle="tooltip" title="Remove"><i class="fa fa-times"></i></button>
														</div><!-- /. tools -->
													</div><!-- /.box-header -->
													<div class='box-body pad'>
														<textarea id="editor1" name="description" rows="10" cols="80"><?php echo $e[10]?$e[10]:""; ?></textarea>
													</div>
												</div><!-- /.box -->
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-2">Order</label>
											<div class="col-lg-4">
												<input type="number" min=0 name="sort_order" class="form-control" value="<?php echo $e[11]?$e[11]:'';?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-2">Status</label>
											<div class="col-lg-4">
												<?php 
												$st = isset($e[12])?$e[12]:1;
												echo status($st); ?>
											</div>
										</div>
									</div><!-- /.box-body -->
									<div class="box-footer">
										<input type="hidden" name="id" value="<?php echo $e[0]?$e[0]:'';?>"/>
										<button type="submit" name="submit" class="btn btn-primary">Save</button>
										<button type="reset" name="reset" id="reset" class="btn btn-default">Reset</button>
									</div>
								</form>
                            </div><!-- box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- date-range-picker -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/timepicker/bootstrap-timepicker.min.js" type="text/javascript"></script>
		<!-- data-table -->
		<script src="<?php echo ADMIN_SITE;?>js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
        <script src="<?php echo ADMIN_SITE;?>js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/plugins/datatables/jquery.tablednd.0.7.min.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
		<!-- CK Editor -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/ckeditor/ckeditor.js" type="text/javascript"></script>
		<!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.min.js" type="text/javascript"></script>
		<!-- validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<!-- common-add -->
		<script type="text/javascript">
            $(function() {
				$("#sample_2").tableDnD({ });
				$('.popup-validation').validationEngine();
                // Replace the <textarea id="editor1"> with a CKEditor
                // instance, using default configuration.
				CKEDITOR.replace('editor1');
				$("#reset").on('click', function(){
					CKEDITOR.instances.editor1.setData( CKEDITOR.instances.content, function() { this.updateElement(); } );
				});
				$(".timepicker").timepicker({
					 minuteStep: 5,
                    showInputs: false
                });
				$("#create-timetable").on("click", function(){
					var periods = $("input[name=total_periods]").val();
					var breaks = $("input[name=total_breaks]").val();
					var cls = $("#drop_class").val();
					var days = new Array();
					$('input[name="work_days[]"]:checked:enabled').each(function() {
						days.push($(this).val());
					});
					if(periods)
					{
						$.ajax({
							url:"functions/create_timetable.php",
							type: "POST",
							data:"periods="+periods+"&days="+days+"&cls="+cls+"&breaks="+breaks,
							success:function(result){
								$("#gen-timetable").html(result);
								$("#sample_2").tableDnD();
								$(".timepicker").timepicker({
									 minuteStep: 5,
									showInputs: false
								});
							}
						});
					}
					else
					{
						$("#gen-timetable").html('<div class="callout callout-danger">Please provide total periods and working days to generate Timetable.</div>');
					}
				});
				$("input[name=total_periods], input[name=total_breaks]").on("change", function(){
					$("#gen-timetable").html('<div class="callout callout-danger">Please provide total periods and working days to generate Timetable.</div>');
				});
				$("#drop_class").on("change", function(){
					var cls = $("#drop_class").val();
					if(cls)
					{
						$.ajax({
							url:"functions/create_timetable.php",
							type: "POST",
							data:"class="+cls,
							success:function(result){
								$("#section").html(result);
							}
						});
					}
					else
					{
						$("#section").html('<select name="section" class="form-control validate[required]"><option>Select Section</option></select>');
					}
					$("#gen-timetable").html('<div class="callout callout-danger">Please provide total periods and working days to generate Timetable.</div>');
				});
            });
        </script>
    </body>
</html>