<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>About Us</title>
<link href="css/webstyles.css" rel="stylesheet" type="text/css" />
<link href="css/newcms_style.css" rel="stylesheet" type="text/css" />
</head>

<body>
<?php include("header.php"); ?>

<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="width_maintbl">
  <tr>
    <td width="33%" valign="top" class="width_contentarea">
      <div class="padd5">
        <div class="bg_content" style="min-height:275px;">
          <div class="heading">About Us</div>
          <div class="paddtop10" align="justify">
            <strong>Society of the Sisters of the Presentation of the Blessed Virgin Mary</strong>, Church Park, owes its sustained existence and strength to the Presentation Sisters of the Congregation of the Blessed Virgin Mary. This congregation was originally founded by Nano Nagle, an Irish woman, who gave up a life of luxury and ease when she was only 22 to answer the call of God.<br />
<br />

She undertook the task of educating the poor Catholic children of Ireland. Nano and her three companions opened the first Presentation Convent in Cork, Ireland, on Christmas Eve in 1775. Her exemplary life has inspired generations of women who have dedicated themselves to the betterment (service) of the less fortunate, especially in the field of education.<br />
<br />

Nano remains an iconic figure in her homeland, where she was voted the greatest Irish person of all time in a national radio poll conducted in 2005. The congregation that she founded, has now spread across five continents. <br />
<br />

In 1841, four Presentation Sisters set sail from Ireland for the distant and unknown shores of India. Mother Francis Xavier Curran, Superior of the Presentation Convent Rahan, Ireland accompanied these sisters from Maynooth. They accepted the invitation of Rev. Dr. Fennelly, who had recently taken over the Madras Mission, to serve the orphans of the Irish soldiers who had been killed in service under the British flag in India.<br />
<br />

When the sisters arrived in Georgetown, Madras in 1842, they were given charge of a convent, a school and an orphanage. They quickly settled into their duties in Madras, braving cholera and not heeding the severity of the climate and the language problem. <br />
<br />

In 1904, the sisters from the Georgetown community of the Presentation Sisters purchased a fine property with extensive grounds and large shady trees, called Church Park, in what became the heart of Madras.<br />
<br />The compound was originally meant to be a place of rest and change for the sisters from the Town convent. Later permission was obtained from Archbishop Colgan to make the Church Park foundation independent of the Georgetown Mother-house. <br />
<br />When a branch of the convent and school was opened in Kodaikanal, many parents sent their children from Sacred Heart Madras to the cooler climate of the hill station. The school applied for recognition under the Madras Educational Rules in 1932 and Indian children were admitted. <br />
<br />
In 1952, Sacred Heart became a private matriculation school affiliated to the University of Madras. In 1954, the first batch of ten students wrote the Matriculation Examination. In 1978, the Higher Secondary section was inaugurated with the Science and Arts streams. The Commerce group was added four years later in 1982. </br />
<br />Initially, Sacred Heart School catered to girls and boys from privileged families, and aimed at molding and educating children to be part of genteel society. However, the birth of a new social consciousness led to the opening of its doors to children from varied backgrounds and economic strata. <br />
<br />Besides a strong academic foundation with an equal emphasis on community development, the students of Sacred Heart are given every opportunity to learn and excel in sports and various extra-curricular activities. <br />
<br />Theatre and literary pursuits and fine arts are given free expression at Sacred Heart and students have won recognition and prizes in national and international contests for their talents. <br />
<br />Sacred Heart owes its success to the dedication of the pioneering Presentation sisters, others who have followed in their footsteps and the indispensable non-teaching staff and the gifted teachers—all these people have fostered critical thinking and education for social change in the students of this school. <br />
<br />hese stalwarts of Sacred Heart have been a source of inspiration and encouragement, leaving a lasting impression in the minds of the students.<br />
<br />The alumnae of Sacred Heart have brought glory to its name by achieving excellence and fame in many fields. They have made significant contributions in different areas worldwide as educationists, social workers, civil servants, administrators, lawyers, doctors, scientists, media persons and performing artists and have brought laurels to themselves and their school.<br />
<br />The Parents and the P T A play a vital role in many endeavours, and collaborate with the management and staff for the benefit of the society. <br /> 
<br />Several projects and activities, like the recent construction of a new block, that houses a library and an Audio Visual Room, and the Centenary block has taken a concrete shape with the generous support of Sacred Heart parents ,alumni and the PTA.<br />
<br />A hundred years have come and gone, and we find ourselves in a new millennium - an age of 'Nano'-technology. At Sacred Heart, our very own Nano Nagle remains in close communion with us, guiding our steps in the path of truth. <br />
<br />Today is a time of spiritual renewal and reflection, for us as educators, parents and students, to brave the rapidly changing, terror-stricken, media-driven world.<br />
<br />It is a time to take responsibility for protecting and preserving our environment, as we become increasingly aware of the interdependence of all forms of life on earth. <br/>
<br />It is a time to return to balance the whole universe that has gone off its spiritual axis.<br />
<br />It is a time to realise and re-affirm our connectedness to the cosmos.<br />
<br />In keeping with this spirit of change, the Presentation community has envisioned many programs like <br />
<br />Educating the poor and marginalized in slums and villages<br />
<br />Creating a 'green zone' within the Sacred Heart Society<br />
<br />An investment in solar power and other sustainable development activities 

</p>
</div>
        </div>
      </div>


    </td>
    <td width="33%" class="width_sidemenu">
    <?php include "sidemenu.php"; ?>
    </td>
  </tr>
</table>
<?php include("footer.php"); ?>
</body>
</html>
