AutoComplete = function(input, suggestions, pagename)

{

	var timer;



	attachEvent("onkeyup", handleKeyUp, input);

	attachEvent("onkeydown", handleArrowKeys, input);

	function attachEvent(type, callback, container) 

	{

	if(window.addEventListener){

		container.addEventListener(type.substring(2), callback, false);

	}

	else

	{

		container.attachEvent(type, callback);

	}

	}

	function handleKeyUp(event)

	{

		if (event.keyCode != 40 && event.keyCode != 38 && event.keyCode != 13)

		{

			if (input.value.length == 0)

				suggestions.innerHTML = "";



			if (timer)

				clearTimeout(timer);



			if (input.value.length > 0)

				timer = setTimeout(reload1, 100);

		}

		else if (event.keyCode == 13)

		{

			var cursor = getCursor();

			var parent = suggestions.firstChild;



			if (cursor != -1 && cursor < parent.childNodes.length)

			{

				if (window.addEventListener)

					

					{

						input.value = parent.childNodes[cursor].textContent;

						document.getElementById('memId').value=parent.childNodes[cursor].id;

					}

				else

					{

						input.value = parent.childNodes[cursor].innerText;

						document.getElementById('memId').value=parent.childNodes[cursor].id;

					}

				suggestions.innerHTML = "";

			}

		}

	}



	function reload1()

	{

		ajaxpage(pagename+"?keyword="+input.value, suggestions.id, "get")

	}



	function handleArrowKeys(event)

	{

	try

		{

			var cursor = getCursor();

			var parent = suggestions.firstChild;

			if (cursor != -1 && (event.keyCode == 40 || event.keyCode == 38))

			{

				if (event.keyCode == 40)

				{

					if (cursor == parent.childNodes.length)

						parent.childNodes[0].style.backgroundColor = "#a3ceff";

					else if (cursor < parent.childNodes.length - 1)

					{

						parent.childNodes[cursor].style.backgroundColor = "";

						parent.childNodes[cursor + 1].style.backgroundColor = "#a3ceff";

					}

				}

				else

				{

					if (cursor > 0)

					{

						parent.childNodes[cursor].style.backgroundColor = "";

						parent.childNodes[cursor - 1].style.backgroundColor = "#a3ceff";

					}

				}

			}

		}

		catch (e) { }

	}



	function getCursor()

	{

		var parent = suggestions.firstChild;

		for (var i = 0; i < parent.childNodes.length; i++)

		{

			if(parent.childNodes[i].innerHTML)

			{

			if (

					parent.childNodes[i].style.backgroundColor == "#a3ceff" ||

					parent.childNodes[i].style.backgroundColor == "rgb(163, 206, 255)"

			   )

				return i;

			}

		}

		return parent.childNodes.length;

	}

	

	

	function ajaxpage(url, containerid, method)

	{

	if(!method)

	{

		method = "Get";

	}

	var page_request = false

	if (window.XMLHttpRequest) // if Mozilla, Safari etc

		page_request = new XMLHttpRequest()

	else if (window.ActiveXObject)

	{ // if IE

		try {

			page_request = new ActiveXObject("Msxml2.XMLHTTP")

			} 

			catch (e)

			{

				try

					{

						page_request = new ActiveXObject("Microsoft.XMLHTTP")

						

					}

					catch (e){

						}

			}

	}

	else

		return false

	

	page_request.onreadystatechange=function()

	{

	loadpage(page_request, containerid)

	}



	page_request.open(method, url, true)

	page_request.send(null)

}



function loadpage(page_request, containerid)

{

	if (page_request.readyState == 4 && (page_request.status==200 || window.location.href.indexOf("http")==-1))

		document.getElementById(containerid).innerHTML=page_request.responseText

	else

		document.getElementById(containerid).innerHTML="<div align = 'right' >loading...</div>";

}

}