<?php require_once("functions/admission_settings_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php //echo SCHOOL;?>Admin | Admission Settings</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- upload -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-fileupload.min.css" rel="stylesheet" type="text/css" />
		<!-- daterange picker -->
        <link href="<?php echo ADMIN_SITE;?>css/datepicker/datepicker3.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>Admission Settings</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Admission</a></li>
                        <li class="active">Settings</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
										<div class="form-group">
                                            <label class="control-label col-lg-3">Admission open date</label>
											<div class="input-group col-lg-2 input-append date dp3">
												<input type="text" name="open_date" readonly="" class="form-control" value="<?php echo ($s=search_in_array("open_date",$e))?$e[$s]["value"]:""; ?>"/>
												<div class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</div>
											</div>
										</div>
										<div class="form-group">	
											<label class="control-label col-lg-3">Admission close date</label>
                                            <div class="input-group col-lg-2 input-append date dp3">
												<input type="text" name="close_date" readonly="" class="form-control" value="<?php echo ($s=search_in_array("close_date",$e))?$e[$s]["value"]:""; ?>"/>
												<div class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</div>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-3">Admission for Classes</label>
											<div class="col-lg-4">
												<?php echo multiSelectDbList("class12[]", $dbResult, $e[search_in_array("class",$e)]["value"], $defaultOptionSet=0, $defaultOption="Select Class", $validation=""); ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Age/DOB restriction</label>
											<div class="col-lg-9">
												<?php 
												$chk = ($s=search_in_array("restriction",$e))?$e[$s]["value"]:'0';
												echo status($chk, "restriction"); ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Restriction</label>
											<div class="col-lg-9">
												<?php 
												$chk = ($s=search_in_array("restrict_type",$e))?$e[$s]["value"]:'0';
												echo status($chk, "restrict_type", "Age", "DOB"); ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Age restriction on date</label>
                                            <div class="input-group col-lg-2 input-append date dp3">
												<input type="text" name="end_dob" readonly="" class="form-control" value="<?php echo ($s=search_in_array("end_dob",$e))?$e[$s]["value"]:""; ?>"/>
												<div class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</div>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Automatically approve users</label>
											<div class="col-lg-9">
												<?php 
												$chk = ($s=search_in_array("approve",$e))?$e[$s]["value"]:'0';
												echo status($chk, "approve", "Yes", "No"); ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Send sms on registration</label>
											<div class="col-lg-9">
												<?php 
												$chk = ($s=search_in_array("sms",$e))?$e[$s]["value"]:'0';
												echo status($chk, "sms", "Yes", "No"); ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">SMS message on registration</label>
											<div class="col-lg-9">
												<textarea name="message" rows="10" class="validate[required]" cols="50"><?php echo ($s=search_in_array("message",$e))?$e[$s]["value"]:""; ?></textarea>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Send sms on approve</label>
											<div class="col-lg-9">
												<?php 
												$chk = ($s=search_in_array("sms_appr",$e))?$e[$s]["value"]:'0';
												echo status($chk, "sms_appr", "Yes", "No"); ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">SMS message on approve</label>
											<div class="col-lg-9">
												<textarea name="message_appr" rows="10" class="validate[required]" cols="50"><?php echo ($s=search_in_array("message_appr",$e))?$e[$s]["value"]:""; ?></textarea>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Append ref no</label>
											<div class="col-lg-9">
												<?php 
												$chk = ($s=search_in_array("refno",$e))?$e[$s]["value"]:'0';
												echo status($chk, "refno", "Yes", "No"); ?>
											</div>
										</div>
                                        <div class="form-group">
                                            <label class="control-label col-lg-3">Ref no prefix</label>
											<div class="col-lg-4">
												<input type="text" name="refno_pre" class="validate[required] form-control" value="<?php echo ($s=search_in_array("refno_pre",$e))?$e[$s]["value"]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-3">Affiliation Number</label>
											<div class="col-lg-4">
												<input type="text" name="aff_no" class="form-control" value="<?php echo ($s=search_in_array("aff_no",$e))?$e[$s]["value"]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-3">From name</label>
											<div class="col-lg-4">
												<input type="text" name="from_name" class="validate[required] form-control" value="<?php echo ($s=search_in_array("from_name",$e))?$e[$s]["value"]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-3">From email</label>
											<div class="col-lg-4">
												<input type="text" name="from_email" class="validate[required] form-control" value="<?php echo ($s=search_in_array("from_email",$e))?$e[$s]["value"]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<div class="col-lg-4">On Application</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-3">Email subject</label>
											<div class="col-lg-4">
												<input type="text" name="subject_app" class="validate[required] form-control" value="<?php echo ($s=search_in_array("subject_app",$e))?$e[$s]["value"]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Email body</label>
											<div class="col-lg-9">
												<textarea name="body_app" rows="10" class="validate[required]" cols="50"><?php echo ($s=search_in_array("body_app",$e))?$e[$s]["value"]:""; ?></textarea>
											</div>
										</div>
										<div class="form-group">
											<div class="col-lg-4">On Approve</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-3">Email subject</label>
											<div class="col-lg-4">
												<input type="text" name="subject_appr" class="validate[required] form-control" value="<?php echo ($s=search_in_array("subject_appr",$e))?$e[$s]["value"]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Email body</label>
											<div class="col-lg-9">
												<textarea name="body_appr" rows="10" class="validate[required]" cols="50"><?php echo ($s=search_in_array("body_appr",$e))?$e[$s]["value"]:""; ?></textarea>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-3">Email Attachment</label>
											<div class="col-lg-4">
											<?php $file = ($s=search_in_array("at_file",$e))?$e[$s]["value"]:""; ?>
												 <div class="fileupload fileupload-<?php echo $file?"exists":"new"; ?>" data-provides="fileupload">
													<span class="btn btn-file btn-default">
														<span class="fileupload-new">Select file</span>
														<span class="fileupload-exists">Change</span>
														<input type="file" name="at_file" value=""/>
													</span>
													<input type="hidden" name="cur_at_file" value="<?php echo $file?$file:""; ?>"/>
													<span class="fileupload-preview"><?php echo $file?$file:""; ?></span>
													<a href="#" class="close fileupload-exists" data-dismiss="fileupload" style="float: none">×</a>
												</div>
											</div>
											</div>
									</div><!-- /.box-body -->
                                    <div class="box-footer">
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- date-picker -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/datepicker/bootstrap-datepicker.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.js" type="text/javascript"></script>
		<!-- upload -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-fileupload.js" type="text/javascript"></script>
		<!-- validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<script type="text/javascript">
            $(function() {
				$('#popup-validation').validationEngine();
                $('.dp3').datepicker({
					format: 'dd-mm-yyyy'
				})
            });
        </script>
    </body>
</html>