<?php require_once("functions/alumni_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php //echo SCHOOL;?> Admin | Alumni <?php //echo $action;?> Alumni</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- daterange picker -->
        <link href="<?php echo ADMIN_SITE;?>css/datepicker/datepicker3.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
						<?php 
						echo $action." Alumni";
						if((int)$_GET['edit'] != "") 
							echo '<small><a href="alumni.php" class="btn btn-success btn-sm">Add Alumni</a></small>';
						?>
					</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Alumni</a></li>
                        <li class="active"><?php echo $action; ?> Alumni</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
                                    <input type="hidden" name="CSRFToken"  value="<?php echo $_SESSION['school']['CSRFToken']; ?>"/>
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">First Name</label>
											<div class="col-lg-4">
											    <input type="text" name="fname" class="validate[required] form-control" value="<?php echo $e[1]?$e[1]:""; ?>"/>
											</div>
										</div>
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">Last Name</label>
											<div class="col-lg-4">
												<input type="text" name="lname" class="form-control" value="<?php echo $e[2]?$e[2]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">DOB</label>
											<div class="col-lg-4">
											<div class="input-group input-append date" id="dp3">
												<input type="text" name="dob" readonly="" class="validate[required] form-control" value="<?php echo $e[3]?userDate($e[3]):""; ?>"/>
												<div class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</div>
											</div>Click month on top of calender to choose year. 
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Email</label>
											<div class="col-lg-4">
												<input type="email" name="email" class="validate[required email] form-control" value="<?php echo $e[4]?$e[4]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Qualification</label>
											<div class="col-lg-4">
												<input type="text" name="qualification" class="validate[required] form-control" value="<?php echo $e[5]?$e[5]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Passout Year</label>
											<div class="col-lg-4">
												<?php echo selectDbList("passout_year", $dbResult, $e[6], $defaultOptionSet=1, $defaultOption="Select Year", $validation="validate[required]"); ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Status</label>
											<div class="col-lg-4">
												<?php 
												$st = isset($e[10])?$e[10]:1;
												echo status($st); ?>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Info</label>
											<div class="col-lg-4">
												<textarea name="description" rows="10" cols="80"><?php echo $e[7]?$e[7]:""; ?></textarea>
											</div>		
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Profile Visible</label>
											<div class="col-lg-4">
												<select class="form-control" name="profile_view" >
													<option <?php echo $e[8]==1?"selected":""; ?> value="1">Public - visible to all</option>
													<option <?php echo $e[8]==2?"selected":""; ?> value="2">Private - visible only to admin</option>
												</select>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Newsletter</label>
											<div class="col-lg-4">
												<?php 
												$st = isset($e[9])?$e[9]:1;
												echo status($st, $name="newsletter"); ?>
											</div>
										</div>
                                    </div><!-- /.box-body -->
                                    <div class="box-footer">
										<input type="hidden" name="id" value="<?php echo $e[0]?$e[0]:'';?>"/>
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
										<button type="reset" name="reset" id="reset" class="btn btn-default">Reset</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- date-range-picker -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/datepicker/bootstrap-datepicker.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- CK Editor -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/ckeditor/ckeditor.js" type="text/javascript"></script>
		<!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.min.js" type="text/javascript"></script>
		<!-- validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<!-- common-add -->
		<script type="text/javascript">
            $(function() {
				$('#popup-validation').validationEngine();
                $('#dp3').datepicker({
					format: 'dd-mm-yyyy'
				})
            });
        </script>
    </body>
</html>