<?php 
ob_start();
$path_to_php_mailer = "../inc/phpmailer/class.phpmailer.php";
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
define("appdettbl",  TBL."admission_application");
define("configurationtbl", TBL."admission_settings");
$id = (int)$_GET['view'];
function getApplicationDetails($db, $application_id)
{
	$query = "SELECT * FROM ". appdettbl ." WHERE id = '". (int)$application_id ."'";
	$row=$db->get_row($query);

	return $row;	
}
function getConfigurations($db)
{
	$query = "SELECT * FROM ". configurationtbl;
	$result = $db -> get_results($query);
	
	foreach($result as $row)
	{
		$configurations[$row["param"]] = stripslashes($row["value"]);
	}
	
	return $configurations;
}
function sendApplicationToApprovedApplicant($db, $php_mailer_path, $from_name, $from_email, $email_text, $email_subject, $application_id, $app_form_path)
{
	$application = getApplicationDetails($db, $application_id);
   
	$refNo = $application["ref_no"] ? $application["ref_no"] : $application["id"];
	$email_text = str_replace("[ref_no]", $refNo, $email_text); //replace ref_no

	require_once($php_mailer_path);

	$mailer = new phpmailer();
	$mailer->From = $from_email;
	$mailer->FromName = $from_name;
	$mailer->Subject = $email_subject;
	$mailer->Body = $email_text;
	$mailer->IsHtml(true);
	$mailer->AddAddress("ranjithkmr89@gmail.com");
	$mailer->AddAttachment($app_form_path);
	$mailer->Send();

}
function sendEmailToWaitingApplicant($db, $php_mailer_path, $from_email, $from_name, $email_text, $email_subject,  $application_id)
{
	$application = getApplicationDetails($db, $application_id);
	$refNo = $application["ref_no"] ? $application["ref_no"] : $application["id"];
	$email_text = str_replace("[ref_no]", $refNo, $email_text); //replace ref_no
	require_once($php_mailer_path);

	$mailer = new phpmailer();
	$mailer->From = $from_email;
	$mailer->FromName = $from_name;
	$mailer->Subject = $email_subject;
	$mailer->Body = $email_text;
	$mailer->IsHtml(true);
	$mailer->AddAddress("ranjithkmr89@gmail.com");
	$mailer->Send();        
}
function sendSMS($message, $mobile)
{
	global $znisms_user_id, $znisms_api_key, $znisms_gsm_id, $znisms_cdma_id, $znisms_singlesms_url;
	$response = file_get_contents($znisms_singlesms_url . "?userid=". $znisms_user_id ."&apikey=". $znisms_api_key ."&message=". urlencode($message) ."&senderid=". $znisms_gsm_id ."&sendto=". $mobile);
	return true;
}
$configurations = getConfigurations($db);
$t_name = TBL."admission_application";

$query = "SELECT * FROM `".TBL."admission_application` where id=".$id;
$app_det = $db -> get_row($query);
$sql = "select param,value from `".TBL."admission_application_data` where app_id=".$id;
$rows = $db -> get_results($sql);
foreach($rows as $row)
	$adm_data[$row['param']] = $row['value'];
//$adm_label[$row['param']] = Array ("stu_city" =>"", "stu_state" =>"", "stu_pincode" =>"", "stu_country" =>"", "stu_phone" =>"", "stu_mobile" =>"", "stu_email" =>"", "stu_institution" =>"", "stu_exam" =>"", "prt_FName" =>"", "prt_LName" =>"", "prt_relation" =>"", "prt_education" =>"", "prt_occupation" =>"", "prt_income" =>"", "prt_email" =>"", "prt_city" =>"", "prt_state" =>"", "prt_pincode" =>"", "prt_country" =>"", "prt_phone" =>"", "prt_mobile" =>"", "mth_FName" =>"", "mth_MName" =>"", "mth_LName" =>"", "mth_education" =>"", "mth_occupation" =>"", "mth_income" =>"", "mth_email" =>"", "distance" =>"", "is_alumni" =>"", "child_detail" =>"", "is_widow" =>"", "is_backward" =>"", "stu_address" =>"", "prt_address" =>"", "stu_dob" =>"", "prt_dob" =>"", "mth_dob" =>"", "stu_photo" =>"" );
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php //echo SCHOOL;?> admin | Admission</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- modal-popup -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-modal.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
	</head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>View Application</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Admission</a></li>
                        <li class="active">View Application</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
								<div class="box-body">
									<h3 class="box-title">Application</h3><hr>
									<div class="form-group">
										<div class="col-lg-4">AppID: &emsp;
											<?php echo $app_det[1].$app_det[0]; ?>
										</div>
										<div class="col-lg-4">Status: &emsp; 
											<?php echo $app_det[4]?"Approved":"Rejected"; ?>
										</div>
									</div>
									<h3 class="box-title">Personal Details</h3><hr>
									<?php 
									$result = array();
									$fields = array("stu_FName" =>"First Name", "stu_MName" =>"Middle Name", "stu_LName" =>"Last Name", "stu_dob" =>"Date of Birth", "stu_gender" =>"Gender", "stu_nation" =>"Nationality");
									$result = array_merge($result, $fields);
									foreach($fields as $k=>$v) 
									{ 
										if($adm_data[$k]){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $v; ?></label>
											<div class="col-lg-6">
												<?php echo ($k=="stu_dob")?userDate($adm_data[$k]):$adm_data[$k]; ?>
											</div>
										</div>
									<?php }}?>
									<h3 class="box-title">Contact Details</h3><hr>
									<?php 
									$fields = array("stu_address" =>"Address", "stu_city" =>"City", "stu_state" =>"State", "stu_pincode" =>"PIN code", "stu_country" =>"Country", "stu_phone" =>"Phone", "stu_mobile" =>"Mobile", "stu_email" =>"Email");
									$result = array_merge($result, $fields);
									foreach($fields as $k=>$v) 
									{ 
										if($adm_data[$k]){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $v; ?></label>
											<div class="col-lg-6">
												<?php echo $adm_data[$k]; ?>
											</div>
										</div>
									<?php }}
									$result['stu_photo']="Upload User Photo";
									if($adm_data['stu_photo']){?>
									<h3 class="box-title">Upload User Photo</h3><hr>
									<div class="form-group">
										<label class="control-label col-lg-6">Upload User Photo</label>
										<div class="col-lg-6">
											<img src="<?php echo ADMISSION_FILE."100_".$adm_data['stu_photo']; ?>" />
										</div>
									</div>
									<?php }?>
									<h3 class="box-title">Last Attended Institution details</h3><hr>
									<?php 
									$fields = array("stu_institution" => "Institution Name", "stu_exam" => "Qualifying Exam Name", "stu_rollno" => "Exam Roll No.", "stu_score" => "Final Score");
									$result = array_merge($result, $fields);
									foreach($fields as $k=>$v) 
									{ 
										if($adm_data[$k]){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $v; ?></label>
											<div class="col-lg-6">
												<?php echo $adm_data[$k]; ?>
											</div>
										</div>
									<?php }}?>
									<h3 class="box-title">Parent Personal Details</h3><hr>
									<?php 
									$fields = array("prt_FName"=>"First Name", "prt_LName"=>"Last Name", "prt_relation"=>"Relation", "prt_dob"=>"Date of Birth", "prt_education"=>"Education", "prt_occupation"=>"Occupation", "prt_income"=>"Income", "prt_email"=>"Email");
									$result = array_merge($result, $fields);
									foreach($fields as $k=>$v) 
									{if($adm_data[$k]){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $v; ?></label>
											<div class="col-lg-6">
												<?php echo ($k=="prt_dob")?userDate($adm_data[$k]):$adm_data[$k]; ?>
											</div>
										</div>
									<?php }}?>
									<h3 class="box-title">Parent Contact Details</h3><hr>
									<?php 
									$fields = array("prt_address"=>"Address", "prt_city"=>"City", "prt_state"=>"State", "prt_pincode"=>"PIN code", "prt_country"=>"Country", "prt_phone"=>"Phone", "prt_mobile"=>"Mobile");
									$result = array_merge($result, $fields);
									foreach($fields as $k=>$v) 
									{if($adm_data[$k]){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $v; ?></label>
											<div class="col-lg-6">
												<?php echo $adm_data[$k]; ?>
											</div>
										</div>
									<?php }}?>
									<h3 class="box-title">Mother Details</h3><hr>
									<?php 
									$fields = array("mth_FName"=>"First Name", "mth_MName"=>"Middle Name", "mth_LName"=>"Last Name", "mth_dob"=>"Date of Birth", "mth_education"=>"Education", "mth_occupation"=>"Occupation", "mth_income"=>"Income", "mth_email"=>"Email");
									$result = array_merge($result, $fields);
									foreach($fields as $k=>$v) 
									{if($adm_data[$k]){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $v; ?></label>
											<div class="col-lg-6">
												<?php echo ($k=="mth_dob")?userDate($adm_data[$k]):$adm_data[$k]; ?>
											</div>
										</div>
									<?php }}
									$result['distance']="Distance";
									 if($adm_data['distance']){?>
									<h3 class="box-title">Distance</h3><hr>
									<div class="form-group">
										<label class="control-label col-lg-6">Distance from school in KMS</label>
										<div class="col-lg-6">
											<?php 
											echo $adm_data['distance']; ?>
										</div>
									</div>
									<?php }?>
									<h3 class="box-title">Alumni</h3><hr>
									<?php 
									$result['is_alumni']="Are you alumni of the school";
									if(isset($adm_data['is_alumni'])){?>
									<div class="form-group">
										<label class="control-label col-lg-6">Are you alumni of the school</label>
										<div class="col-lg-6">
											<?php echo $adm_data['is_alumni']?"Yes":"No"; ?>
										</div>
									</div>
									<?php }
									$result['schooling_year']="Mention the year of schooling";
									if($adm_data['schooling_year']){?>
									<div class="form-group">
										<label class="control-label col-lg-6">Mention the year of schooling</label>
										<div class="col-lg-6">
											<?php echo $adm_data['schooling_year']; ?>
										</div>
									</div>
									<?php } 
									$result['child_detail']="Name of your own children studying in our School with their class & admission no.";
									if($adm_data['child_detail']){?>
									<h3 class="box-title">Sibling Details</h3><hr>
									<div class="form-group">
										<label class="control-label col-lg-6">Name of your own children studying in our School with their class & admission no.</label>
										<div class="col-lg-6">
											<?php echo $adm_data['child_detail']; ?>
										</div>
									</div>
									<?php }
									$result['is_handicapped']="Is your Child handicapped ?";
									if(isset($adm_data['is_handicapped'])){ ?>
									<h3 class="box-title">Differently Abled</h3><hr>
									<div class="form-group">
										<label class="control-label col-lg-6">Is your Child handicapped ?</label>
										<div class="col-lg-6">
											<?php echo $adm_data['is_handicapped']?"Yes":"No"; ?>
										</div>
									</div>
									<?php }
									$result['at_file']="Attachment";
									if($adm_data['at_file']){ ?>
									<h3 class="box-title">Additional Attachments</h3><hr>
									<div class="form-group">
										<label class="control-label col-lg-6">Attachment</label>
										<div class="col-lg-6">
											<a href="<?php echo ADMISSION_FILE.$adm_data['at_file']; ?>"><?php echo $adm_data['at_file']; ?></a>
										</div>
									</div>
									<?php }?>
									<h3 class="box-title">Additional Fields</h3><hr>
									<?php $fields = array("is_widow"=>"Are you Widow/Widower", "is_vacinated"=>"Is your child completely vaccinated", "is_backward"=>"Do you belong to backward class", "is_defence"=>"Are you a serving defence personnel");
									$result = array_merge($result, $fields);
									foreach($fields as $k=>$v) 
									{if(isset($adm_data[$k])){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $v; ?></label>
											<div class="col-lg-6">
												<?php echo $adm_data[$k]?"Yes":"No"; ?>
											</div>
										</div>
									<?php }}
									$adm_ext_data = array_diff_key($adm_data, $result);
									//print_r($adm_ext_data);
									if(sizeof($adm_ext_data))
									{
									foreach($adm_ext_data as $k=>$f) 
									{if(isset($adm_ext_data[$k])){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $k; ?></label>
											<div class="col-lg-6">
												<?php echo $adm_ext_data[$k]; ?>
											</div>
										</div>
									<?php }}} //print_r($result); ?>
								</div>
							</div>
						</div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- modal-popup -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modalmanager.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modal.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
		<!-- date-common -->
		<script src="<?php echo ADMIN_SITE;?>js/common.js" type="text/javascript"></script>
    </body>
</html>