<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
$edb = new mysqli( DB_HOST, DB_USER, DB_PASS, DB_NAME );

$query = "SELECT a.name, b.category as Department, a.qualification, a.subject, a.class, a.description, a.add_date as Added FROM ".TBL."staffs a left join ".TBL."staff_departments b on a.dept_id=b.id";

// for verification visit http://psoug.org/snippet/Export-table-to-Excel-or-MS-Word-file_314.htm
//set $Use_Titel = 1 to generate title, 0 not to use title
$Use_Title = 1;
$now_date = DATE('m-d-Y H:i');
//define title for .doc or .xls file: EDIT this if you want
$title = $_SESSION['school']['schoolname']." staff list on $now_date";
$filename = "Staff_list";
$result = mysqli_query($edb, $query);
	 IF (ISSET($w) && ($w==1))
{
     $file_type = "msword";
     $file_ending = "doc";
}ELSE {
     $file_type = "vnd.ms-excel";
     $file_ending = "xls";
}
HEADER("Content-Type: application/$file_type");
HEADER("Content-Disposition: attachment; filename=$filename.$file_ending");
HEADER("Pragma: no-cache");
HEADER("Expires: 0");
IF (ISSET($w) && ($w==1))
{
    IF ($Use_Title == 1)
     {
         ECHO("$title\n\n");
     }
     $sep = "\n"; //new line character
     WHILE($row = MYSQLI_FETCH_ROW($result))
     {
         //set_time_limit(60); // HaRa
         $schema_insert = "";
         FOR($j=0; $j<mysqli_num_fields($result);$j++)
         {
         //define field names
         $field_name = mysqli_fetch_field_direct($result, $j)->name;
         //will show name of fields
         $schema_insert .= "$field_name:\t";
             IF(!ISSET($row[$j])) {
                 $schema_insert .= "NULL".$sep;
                 }
             ELSEIF ($row[$j] != "") {
                 $schema_insert .= "$row[$j]".$sep;
                 }
             ELSE {
                 $schema_insert .= "".$sep;
                 }
         }
         $schema_insert = STR_REPLACE($sep."$", "", $schema_insert);
         $schema_insert .= "\t";
         PRINT(TRIM($schema_insert));
         //end of each mysql row
         //creates line to separate data from each MySQL table row
         PRINT "\n----------------------------------------------------\n";
     }
}ELSE{
     IF ($Use_Title == 1)
     {
         ECHO("$title\n");
     }
     $sep = "\t"; //line seperator
      //start of printing column names as names of MySQL fields
     FOR ($i = 0; $i < mysqli_num_fields($result); $i++)
     {
         ECHO mysqli_fetch_field_direct($result, $i)->name . "\t";
     }
     PRINT("\n");
     //end of printing column names
      //start while loop to get data
     WHILE($row = mysqli_fetch_row($result))
     {
         //set_time_limit(60); // HaRa
         $schema_insert = "";
         FOR($j=0; $j<mysqli_num_fields($result);$j++)
         {
             IF(!ISSET($row[$j]))
                 $schema_insert .= "NULL".$sep;
             ELSEIF ($row[$j] != "")
                 $schema_insert .= $db->clean($row[$j]).$sep;
             ELSE
                 $schema_insert .= "".$sep;
         }
         $schema_insert = STR_REPLACE($sep."$", "", $schema_insert);
         //in excel \n or \r characters are now replaced with a space 
         $schema_insert = PREG_REPLACE("/\r\n|\n\r|\n|\r/", " ", $schema_insert);
         $schema_insert .= "\t";
         PRINT(TRIM($schema_insert));
         PRINT "\n";
     }
}
?>