<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$action = "Add";
$t_name = TBL."alumni";
if ($_POST['CSRFToken'] == $_SESSION['school']['CSRFToken'])  {
	require_once '../inc/htmlpurifier/library/HTMLPurifier.auto.php';
	$html_config = HTMLPurifier_Config::createDefault();
	$purifier = new HTMLPurifier($html_config);
	$_POST['description'] = $purifier->purify($_POST['description']);
	$_POST = $db -> filter($_POST);
	$info = $_POST['description'];
	$id = (int)($_POST['id']);
	$fname = $_POST['fname'];
	$lname = $_POST['lname'];
	$dob = dbDate($_POST['dob']);
	$email = $_POST['email'];
	$year = (int)($_POST['passout_year']);
	$qualification = $_POST['qualification'];
	$profile_view = (int)($_POST['profile_view']);
	$newsletter = (bool)($_POST['newsletter']);
	$status = (bool)($_POST['status']);
	$key = md5(uniqid(rand(), true));
	$msg = "";
	$c_cond = "passout_year = '$year' and first_name= '$fname' and last_name= '$lname'";
	if($id)
		$c_cond .= " and id != '$id'";
	$n = $db -> count_where($t_name, $c_cond);
	if($n == 0)
	{
		$t_vals = array("passout_year" => $year, "first_name" => $fname, "last_name" => $lname, "status" => $status, "qualification" => $qualification, "dob" => $dob, "email" => $email, "info" => $info, "profile_view" => $profile_view, "newsletter" => $newsletter, "activation" => "");
		if ($id > 0) {
			//Update 
			$t_vals['edit_date'] = date('Y-m-d H:i:s');
			$u_cond = array("id" => $id);
			if ($db -> update($t_name, $t_vals, $u_cond)) 
			{					
				$_SESSION['msg'] = "Alumni updated succesfully.";
				$_SESSION['f'] = "success";
			}
			else
			{
				$_SESSION['msg'] = "Unable to update Alumni!";
				$_SESSION['f'] = "danger";
			}	
		}
		else 
		{
			// insert 
			$t_vals['add_date'] = date('Y-m-d H:i:s');
			$t_vals['activation'] =$key;
			if ($db -> insert($t_name, $t_vals)) 
			{		
				$f="success";
				$msg .="Alumni added succesfully.";
				$message = '
				<table width="600" cellspacing="0" cellpadding="0" border="0" align="center" style="text-align:left">
				  <tbody><tr align="center">
					<td width="600" valign="bottom" bgcolor="#065688" style="font-size:24px;color:#FFF;padding:5px 0px;">
						 Alumni registration</td>
				  </tr>
				  <tr>
					<td height="20"></td>
				  </tr>
				  <tr>
					<td style="font-family:Verdana,Arial;font-size:11px;padding:0px 0px 0px 10px;color:#727171;line-height:19px"><strong>Dear User,</strong><br>
					  Thanks for Registration! <br>Your account has been created, you can '.$ctrl.' your account by pressing the url below. <br>Please click this link to '.$ctrl.' your account:<br>'.LIVE_SITE.'verify.php?email='.$email.'&key='.$key.' 
	</td>
				  </tr>
				  <tr>
					<td></td>
				  </tr>
				  <tr>
					<td height="25"></td>
				  </tr>
				  <tr>
					<td style="font-family:Verdana,Arial;font-size:11px;color:#444444;line-height:16px;text-align:left">Regards, <br>
					  <strong><span style="color:#189bd6">Goodshepherd.com</span></strong> Team</td>
				  </tr>
				  <tr>
					<td style="padding:25px 0px 15px 0px">
					</td>
				  </tr>
				  <tr>
					<td align="center" style="font-family:Verdana,Arial;font-size:11px;color:#dddddd">&nbsp;<a target="_blank" style="color:#006eb3;text-decoration:underline" href="'.LIVE_SITE.'contact-us.php">Report a problem</a></td>
				  </tr>
				  <tr>
					<td height="15"></td>
				  </tr>
				  <tr>
					<td valign="top" align="center" style="font-family:Verdana,Arial;font-size:10px;color:#9d9d9d">This is a Computer-generated email, please do not reply to this message.</td>
				  </tr>
				</table>';
				require_once("../inc/phpmailer/class.phpmailer.php");
				$name = SCHOOL;
				$subject="Alumni Registration";
				$error = '';
				$suc=0;
				$mailer = new phpmailer();
				$from="info@test.com";
				$mailer->From = $from;
				$mailer->FromName = $name;
				$mailer->Subject = $subject;
				$mailer->Body = $message;
				$mailer->IsHtml(true);
				$mailer->AddAddress($email);
				if($mailer->Send())
				{
					$msg.=" Check and Approve EMail sent for verification, if not check spam mail.";
					$f="success";	
				}
				else
				{
					$f="warning";
					$msg.=" There was a problem sending your email!";
				}
				
				$_SESSION['msg'] = $msg;
				$_SESSION['f'] = $f;
			}
			else
			{
				$_SESSION['msg'] = "Unable to add Alumni!";
				$_SESSION['f'] = "danger";
			}
		}
	}
	else
	{
		$_SESSION['msg'] = "Alumni already exist.";
		$_SESSION['f'] = "warning";
	}
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	$str = $id?"?edit=".$id:"";
	header("Location: ".TEMP_PATH."alumni.php".$str);
	die();
}
else if((int)$_GET['edit'] != "") {
	$action = "Edit";
	$id = (int)$_GET['edit'];
	$query = "SELECT * FROM `$t_name` WHERE id='$id'";
	$e = $db -> get_row($query);
}
if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
$sql = "select id as val,year as opt from `".TBL."passout_year` order by year desc";
$dbResult = $db -> get_results($sql);
?>