<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$f = $msg = $list = "";
if($_GET['action']=="delete" && $_GET['file']!="")
  {
     $file="../site-backup/".$_GET['file'];
	 if(is_file($file))
		unlink($file); 
  }
if(isset($_POST['all'])||isset($_POST['db'])||isset($_POST['files']))
{
	ini_set("max_execution_time", 0);
	$arr_zip=array();
	$dir = "../site-backup";
	if(!(file_exists($dir))) {
		mkdir($dir, 0777);
	}
	if(isset($_POST['all'])||isset($_POST['db']))
	{
		//We are going to save our backup in zip format so create an object of zip.
		$zip = new ZipArchive();
		function backup_tables($host, $user, $pass, $name, $tables = '*'){
			global $school_name;
			$data = "\n/*---------------------------------------------------------------".
				  "\n  SQL DB BACKUP ".date("d.m.Y H:i")." ".
				  "\n  HOST: {$host}".
				  "\n  DATABASE: {$name}".
				  "\n  TABLES: {$tables}".
				  "\n  ---------------------------------------------------------------*/\n";
			//$link = mysql_connect($host,$user,$pass);
			//mysql_select_db($name,$link);
			$db = new mysqli($host,$user,$pass,$name);
			mysqli_query( $db, "SET NAMES `utf8` COLLATE `utf8_general_ci`"); // Unicode

			if($tables == '*'){ //get all of the tables
				$tables = array();
				$result = mysqli_query($db, "SHOW TABLES");
				while($row = mysqli_fetch_row($result)){
				  $tables[] = $row[0];
				}
			}else{
				$tables = is_array($tables) ? $tables : explode(',',$tables);
			}

			foreach($tables as $table){
				$data.= "\n/*---------------------------------------------------------------".
						"\n  TABLE: `{$table}`".
						"\n  ---------------------------------------------------------------*/\n";           
				$data.= "DROP TABLE IF EXISTS `{$table}`;\n";
				$res = mysqli_query($db, "SHOW CREATE TABLE `{$table}`");
				$row = mysqli_fetch_row($res);
				$data.= $row[1].";\n";

				$result = mysqli_query($db, "SELECT * FROM `{$table}`");
				$num_rows = mysqli_num_rows($result);    

				if($num_rows>0){
				  $vals = Array(); $z=0;
				  for($i=0; $i<$num_rows; $i++){
					$items = mysqli_fetch_row($result);
					$vals[$z]="(";
					for($j=0; $j<count($items); $j++){
					  if (isset($items[$j])) { $vals[$z].= "'".mysqli_real_escape_string($db, $items[$j])."'"; } else { $vals[$z].= "NULL"; }
					  if ($j<(count($items)-1)){ $vals[$z].= ","; }
					}
					$vals[$z].= ")"; $z++;
				  }
				  $data.= "INSERT INTO `{$table}` VALUES ";      
				  $data .= "  ".implode(";\nINSERT INTO `{$table}` VALUES ", $vals).";\n";
				}
			}
			mysqli_close( $db );
			//save file
			$db_file=SCHOOL.'-db-backup-'.date("d-m-Y").'.sql';
			$handle = fopen($db_file,'w+');
			fwrite($handle,$data);
			fclose($handle);
			return $db_file;
		}
		//Call the function backup_tables.
		$db_file=backup_tables(DB_HOST,DB_USER,DB_PASS,DB_NAME,"*");
		// Convert .sql file in .sql.zip file and remove the .sql file.
		if (glob("*.sql") != false)
		{
			$filecount = count(glob("*.sql"));
			$arr_file = glob("*.sql");
			for($j=0;$j<$filecount;$j++)
			{
				$res = $zip->open($arr_file[$j].".zip", ZipArchive::CREATE);
				if ($res === TRUE)
				{
					$zip->addFile($arr_file[$j]);
					$zip->close();
					unlink($arr_file[$j]);
				}
			}
		}
		if(file_exists($db_file.".zip")) {
			array_push($arr_zip, $db_file.".zip");
		}
	}
	if(isset($_POST['all'])||isset($_POST['files']))
	{
		function Zip($source, $destination)
		{
			global $school_name;
			if (!extension_loaded('zip') || !file_exists($source)) {
				return false;
			}
			$zip = new ZipArchive();
			if (!$zip->open($destination, ZIPARCHIVE::CREATE)) {
				return false;
			}
			$source = str_replace('\\', '/', realpath($source));
			if (is_dir($source) === true)
			{
				$files = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($source), RecursiveIteratorIterator::LEAVES_ONLY);
				foreach ($files as $file)
				{
					$file = str_replace('\\', '/', $file);
					// Ignore "." and ".." folders
					if( in_array(substr($file, strrpos($file, '/')+1), array('.', '..')) || strstr($file,'.zip'))
						continue;
					$file = realpath($file);
					if (is_dir($file) === true)
					{
						$zip->addEmptyDir(str_replace($source . '/', '', $file . '/'));
					}
					else if (is_file($file) === true)
					{
						$zip->addFromString(str_replace($source . '/', '', $file), file_get_contents($file));
					}
				}
			}
			else if (is_file($source) === true)
			{
				$zip->addFromString(basename($source), file_get_contents($source));
			}
			$zip->close();
			if(file_exists($destination)) {
				$arr_zip = $destination;
			}
			return $arr_zip;
		}
		$site_file = Zip('../../new_cms', SCHOOL.'-files-backup-'.date("d-m-Y").'.zip');
		array_push($arr_zip, $site_file);
	}
	echo "Archive created successfully.";
	//copy the backup zip file to site-backup folder
	foreach ($arr_zip as $key => $value) {
			$delete_zip[] = $value;
			copy($value, $dir."/".$value);
	}
	//Delete a zip file from root directory as we moved it in another directory.
	for ($i=0; $i < count($delete_zip); $i++) {
		unlink($delete_zip[$i]);
	}
	$out = ' Download files from below links:<br>';
	$out .= $db_file?'<a href="../site-backup/'.$db_file.'.zip">'.$db_file.'.zip</a><br>':'';
	$out .= $site_file?'<a href="../site-backup/'.$site_file.'">'.$site_file.'</a>':'';
	
	$_SESSION['msg'] = $out;
	$_SESSION['f'] = "success";
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	header("Location: ".TEMP_PATH."backup.php");
	die();
}
else if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}

$files = glob('../site-backup/*');	
if($files)
{
	$i = 1;
	foreach($files as $file)
	{
		$list .='<tr>
				<td>'.$i.'</td>
				<td>'.substr($file,strrpos( $file, '/')+1).'</td>
				<td>
					<a class="btn bg-olive" href="'.$file.'">
						<i class="fa fa-download"></i>Download
					</a>
					<a class="btn bg-olive" href="backup.php?action=delete&file='.substr($file,strrpos( $file, '/')+1).'">
						<i class="fa fa-trash"></i>Delete
					</a>
				</td>
			</tr>';
			$i++;
	}
}
else
	$list .='<tr><td colspan="3">No Backup available.</td></tr>'
?>