<?php 
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$action = "Add";
$t_name = TBL."downloads";
if ($_POST['CSRFToken'] == $_SESSION['school']['CSRFToken'])  {
	$_POST['title'] = strip_tags($_POST['title']);
	require_once '../inc/htmlpurifier/library/HTMLPurifier.auto.php';
	$html_config = HTMLPurifier_Config::createDefault();
	$purifier = new HTMLPurifier($html_config);
	$_POST['description'] = $purifier->purify($_POST['description']);
	$_POST = $db -> filter($_POST);
	$description = $_POST['description'];
	$id = (int)($_POST['id']);
	$title = $_POST['title'];
	$category = (int)($_POST['category']);
	$url = (int)($_POST['d_link']);
	if($_POST['publish_date'] != "-")
		$publish_date=explode(" -", $_POST['publish_date']);
	$msg=$image=$file=$link ="";
	if(!empty($_POST['cur_image']))
		$image = $_POST['cur_image'];
	$imagename = $_FILES["image"]["name"];
	
	include_once 'uploadresize/includes/getExtension.php';
	if($_POST['d_type']==1){
		$link = $_POST['d_link'];
		if(!empty($_POST['cur_file']))
		{
			if(file_exists(DOWNLOAD_FILE.$_POST['cur_file']))
				 unlink(DOWNLOAD_FILE.$_POST['cur_file']);
		}
	}
	if($_POST['d_type']==2){
		if(!empty($_POST['cur_file']))
			$file = $_POST['cur_file'];
		if($_FILES['d_file']["name"])
			$filename = $_FILES["d_file"]["name"];
		if(strlen($filename))
		{
			if(!empty($_POST['cur_file']))
			{
				if(file_exists(DOWNLOAD_FILE.$_POST['cur_file']))
					 unlink(DOWNLOAD_FILE.$_POST['cur_file']);
			}
			$actual_image_name = "";
			$size = $_FILES['d_file']['size'];
			$ext = strtolower(getExtension($filename));
			if(in_array($ext,$Text_formats))
			{
				if($size < $upload_size)
				{
					$actual_image_name = time().substr(str_replace(" ", "_", $txt), 5).".".$ext;
					$uploadedfile = $_FILES['d_file']['tmp_name'];
					if(move_uploaded_file($uploadedfile, DOWNLOAD_FILE.$actual_image_name))
						$file = $actual_image_name;
					else{
						$_SESSION['msg'] .= "Fail upload folder with read access.<br>";
						$_SESSION['f'] = "danger";
					}
				}
				else{
					$_SESSION['msg'] .= "Download file size max 2 MB.<br>";
					$_SESSION['f'] = "warning";
				}
			}
			else{
				$_SESSION['msg'] .= "Invalid file format.<br>";
				$_SESSION['f'] = "warning";
			}
		}
	}
	if(isset($_POST['image']) || $imagename != "")
	{
		if(!empty($_POST['cur_image']))
		{
			if(file_exists(DOWNLOAD_FILE.$_POST['cur_image']))
				 unlink(DOWNLOAD_FILE.$_POST['cur_image']);
			foreach($widthArray as $newwidth)
			{	 
				if(file_exists(DOWNLOAD_FILE.$newwidth."_".$_POST['cur_image']))
					 unlink(DOWNLOAD_FILE.$newwidth."_".$_POST['cur_image']);
			}
			$image="";
		}
	}
	if(strlen($imagename) && ($imagename != $_POST['cur_image']))
	{
		$actual_image_name = "";
		
		$size = $_FILES['image']['size'];
		$ext = strtolower(getExtension($imagename));
		if(in_array($ext,$Image_formats))
		{
			if($size < $upload_size)
			{
				$actual_image_name = time().substr(str_replace(" ", "_", $txt), 5).".".$ext;
				$uploadedfile = $_FILES['image']['tmp_name'];
				include 'uploadresize/includes/compressImage.php';	
				foreach($widthArray as $newwidth)
				{
					$filename = compressImage($ext,$uploadedfile,DOWNLOAD_FILE,$actual_image_name,$newwidth);
				}								
				if(move_uploaded_file($uploadedfile, DOWNLOAD_FILE.$actual_image_name))
					$image = $actual_image_name;
				else{
						$_SESSION['msg'] .= "Fail upload folder with read access.<br>";
						$_SESSION['f'] = "danger";
					}
			}
			else{
				$_SESSION['msg'] .= "Download file size max 2 MB.<br>";
				$_SESSION['f'] = "warning";
			}
		}
		else{
			$_SESSION['msg'] .= "Invalid file format.<br>";
			$_SESSION['f'] = "warning";
		}
	}
	
	$sort_order = (int)($_POST['sort_order']);
	$status = (bool)($_POST['status']);
	$c_cond = "cat_id = '$category' and title= '$title'";
	if($id)
		$c_cond .= " and id != '$id'";
	$n = $db -> count_where($t_name, $c_cond);
	if($n == 0)
	{
		if($link || $file)
		{
			$t_vals = array("cat_id" => $category, "title" => $title, "sort_order" => $sort_order, "status" => $status, "display_from" => dbDateTime($publish_date[0]), "display_to" => dbDateTime($publish_date[1]), "description" => $description, "image" => $image, "url" => $link, "file" => $file);
			if(empty($userid))
				$userid = 0;
			if ($id > 0) {
				//Update 
				$t_vals['edit_date'] = date('Y-m-d H:i:s');
				$t_vals['edit_id'] = $userid;
				$u_cond = array("id" => $id);
				if ($db -> update($t_name, $t_vals, $u_cond)) 
				{					
					$_SESSION['msg'] .= "Download updated succesfully.";
					$_SESSION['f'] = "success";
				}
				else
				{
					$_SESSION['msg'] .= "Unable to update Download!";
					$_SESSION['f'] = "danger";
				}	
			}
			else 
			{
				// insert 
				$t_vals['add_date'] = date('Y-m-d H:i:s');
				$t_vals['add_id'] = $userid;
				if ($db -> insert($t_name, $t_vals)) 
				{						
					$_SESSION['msg'] .= "Download added succesfully.";
					$_SESSION['f'] = "success";
				}
				else
				{
					$_SESSION['msg'] .= "Unable to add $mod Category!";
					$_SESSION['f'] = "danger";
				}
			}
		}
		else{
			$_SESSION['msg'] .= "Download missing.";
			$_SESSION['f'] = "warning";
		}
	}
	else
	{
		$_SESSION['msg'] .= "Download already exist.";
		$_SESSION['f'] = "warning";
	}
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	$str = $id?"?edit=".$id:"";
	header("Location: ".TEMP_PATH."downloads.php".$str);
	die();
}
else if((int)$_GET['edit'] != "") {
	$action = "Edit";
	$id = (int)$_GET['edit'];
	$query = "SELECT * FROM `$t_name` WHERE id='$id'";
	$e = $db -> get_row($query);
}
if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
$sql = "select id as val,category as opt from `".TBL."download_categories` order by sort_order";
$dbResult = $db -> get_results($sql);
?>