<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$f = $msg = "";
if($_POST['import']!="")
{
	ini_set("max_execution_time", 0);
	$arr_zip=array();
	$dir = "../safe-backup";
	if(!(file_exists($dir))) {
		mkdir($dir, 0777);
	}	
	$file_path=$_SERVER['DOCUMENT_ROOT']."/projects/school/AdminLTE-master/import/";
	$allowedExts = array('zip', 'rar');
	$temp = explode(".", $_FILES["file"]["name"]);
	$extension = end($temp);
	if ((($_FILES["file"]["type"] == "application/zip")|| ($_FILES["file"]["type"] == "application/x-zip-compressed")|| ($_FILES["file"]["type"] == "multipart/x-zip")|| ($_FILES["file"]["type"] == "application/x-compressed"))&& ($_FILES["file"]["size"] < 52428800)&& in_array($extension, $allowedExts)) {
		if ($_FILES["file"]["error"] > 0) 
		{
			$msg = "Return Code: " . $_FILES["file"]["error"] . "<br>";
			$f = "warning";
		}
		else 
		{
			if (file_exists("../import/" . $_FILES["file"]["name"])) 
			{
				$msg = $_FILES["file"]["name"] . " already exists. ";
				$f = "warning";
			}
			else 
			{
				//db backup coding start
				$zip = new ZipArchive();
				function backup_tables($host, $user, $pass, $name, $tables = '*'){
					global $school_name;
					$data = "\n/*---------------------------------------------------------------".
						  "\n  SQL DB BACKUP ".date("d.m.Y H:i")." ".
						  "\n  HOST: {$host}".
						  "\n  DATABASE: {$name}".
						  "\n  TABLES: {$tables}".
						  "\n  ---------------------------------------------------------------*/\n";
					$db = new mysqli($host,$user,$pass,$name);
					mysqli_query( $db, "SET NAMES `utf8` COLLATE `utf8_general_ci`"); // Unicode

					if($tables == '*'){ //get all of the tables
						$tables = array();
						$result = mysqli_query($db, "SHOW TABLES");
						while($row = mysqli_fetch_row($result)){
						  $tables[] = $row[0];
						}
					}else{
						$tables = is_array($tables) ? $tables : explode(',',$tables);
					}

					foreach($tables as $table){
						$data.= "\n/*---------------------------------------------------------------".
								"\n  TABLE: `{$table}`".
								"\n  ---------------------------------------------------------------*/\n";           
						$data.= "DROP TABLE IF EXISTS `{$table}`;\n";
						$res = mysqli_query($db, "SHOW CREATE TABLE `{$table}`");
						$row = mysqli_fetch_row($res);
						$data.= $row[1].";\n";

						$result = mysqli_query($db, "SELECT * FROM `{$table}`");
						$num_rows = mysqli_num_rows($result);    

						if($num_rows>0){
						  $vals = Array(); $z=0;
						  for($i=0; $i<$num_rows; $i++){
							$items = mysqli_fetch_row($result);
							$vals[$z]="(";
							for($j=0; $j<count($items); $j++){
							  if (isset($items[$j])) { $vals[$z].= "'".mysqli_real_escape_string($db, $items[$j])."'"; } else { $vals[$z].= "NULL"; }
							  if ($j<(count($items)-1)){ $vals[$z].= ","; }
							}
							$vals[$z].= ")"; $z++;
						  }
						  $data.= "INSERT INTO `{$table}` VALUES ";      
						  $data .= "  ".implode(";\nINSERT INTO `{$table}` VALUES ", $vals).";\n";
						}
					}
					mysqli_close( $db );
					//save file
					$db_file=SCHOOL.'-db-backup-'.date("d-m-Y").'.sql';
					$handle = fopen($db_file,'w+');
					fwrite($handle,$data);
					fclose($handle);
					return $db_file;
				}
				//Call the function backup_tables.
				$db_file=backup_tables(DB_HOST,DB_USER,DB_PASS,DB_NAME,"*");
				// Convert .sql file in .sql.zip file and remove the .sql file.
				if (glob("*.sql") != false)
				{
					$filecount = count(glob("*.sql"));
					$arr_file = glob("*.sql");
					for($j=0;$j<$filecount;$j++)
					{
						$res = $zip->open($arr_file[$j].".zip", ZipArchive::CREATE);
						if ($res === TRUE)
						{
							$zip->addFile($arr_file[$j]);
							$zip->close();
							unlink($arr_file[$j]);
						}
					}
				}
				if(file_exists($db_file.".zip")) {
					array_push($arr_zip, $db_file.".zip");
				}
				foreach ($arr_zip as $key => $value) {
						$delete_zip[] = $value;
						copy($value, $dir."/".$value);
				}
				//Delete a zip file from root directory as we moved it in another directory.
				for ($i=0; $i < count($delete_zip); $i++) {
					unlink($delete_zip[$i]);
				}
		        // db file backup coding end
		
				move_uploaded_file($_FILES["file"]["tmp_name"],	"../import/" . $_FILES["file"]["name"]);
				$zip = new ZipArchive;
				$zip->open("../import/" . $_FILES["file"]["name"]);
				$filename=$zip->getNameIndex(0);
				$zip->extractTo('../import/');
				$zip->close();
				
				// Name of the file
				//$filename = basename($_FILES["file"]["name"], ".zip").PHP_EOL;
				// Connect to MySQL server
				$db = new mysqli(DB_HOST,DB_USER,DB_PASS,DB_NAME);
				//$db = mysql_connect(DB_HOST,DB_USER,DB_PASS) or die('Error connecting to MySQL server: ' . mysql_error());
				// Select database
				//mysql_select_db(DB_NAME) or die('Error selecting MySQL database: ' . mysql_error());

				// Temporary variable, used to store current query
				$templine = '';
				// Read in entire file
				$filename=trim($filename);
				$lines = file($file_path.$filename);
				// Loop through each line
				foreach ($lines as $line)
				{ 
					// Skip it if it's a comment
					if (substr($line, 0, 2) == '--' || $line == '')
						continue;

					// Add this line to the current segment
					$templine .= $line;
					// If it has a semicolon at the end, it's the end of the query
					if (substr(trim($line), -1, 1) == ';')
					{	
						// Perform the query
						echo mysqli_query($db, $templine) or print('Error performing query \'<strong>' . $templine . '\': ' . mysqli_error() . '<br /><br />');
						// Reset temp variable to empty
						$templine = '';
						echo "<br>";
					}
				}
				
				$msg = "Tables imported successfully.";
				$f = "success";
		
				$files = glob('../import/*'); // get all file names
				foreach($files as $file){ // iterate files
				  if(is_file($file))
					unlink($file); // delete file
				}
			}
	   }
	} 
	else
	{
		$msg = "Invalid File.";
		$f = "warning";
	}
	$_SESSION['msg'] = $msg;
	$_SESSION['f'] = $f;
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	header("Location: ".TEMP_PATH."import.php");
	die();
}
else if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
?>