<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
$action = "Add";
$t_name = TBL."news";
if ($_POST['CSRFToken'] == $_SESSION['school']['CSRFToken'])  {
	$_POST['title'] = strip_tags($_POST['title']);
	require_once '../inc/htmlpurifier/library/HTMLPurifier.auto.php';
	$html_config = HTMLPurifier_Config::createDefault();
	$purifier = new HTMLPurifier($html_config);
	$_POST['description'] = $purifier->purify($_POST['description']);
	$_POST = $db -> filter($_POST);
	$description = $_POST['description'];
	$id = (int)($_POST['id']);
	$title = $_POST['title'];
	$category = (int)($_POST['category']);
	$featured = (int)($_POST['featured']);
	$target=(int)($_POST['target']);
	
	$msg = $image = "";
	if(!empty($_POST['cur_image']))
		$image = $_POST['cur_image'];
	$imagename = $_FILES["image"]["name"];
	if(isset($_POST['image']) || $imagename != "")
	{
		if(!empty($_POST['cur_image']))
		{
			if(file_exists(NEWS_IMG.$_POST['cur_image']))
				 unlink(NEWS_IMG.$_POST['cur_image']);
			foreach($widthArray as $newwidth)
			{	 
				if(file_exists(NEWS_IMG.$newwidth."_".$_POST['cur_image']))
					 unlink(NEWS_IMG.$newwidth."_".$_POST['cur_image']);
			}
			$image = "";
		}
	}
	if(strlen($imagename) && ($imagename != $_POST['cur_image']))
	{
		$actual_image_name = "";
		
		$size = $_FILES['image']['size'];
		include_once 'uploadresize/includes/getExtension.php';
		$ext = strtolower(getExtension($imagename));
		if(in_array($ext,$Image_formats))
		{
			if($size < $upload_size)
			{
				$actual_image_name = time().substr(str_replace(" ", "_", $txt), 5).".".$ext;
				$uploadedfile = $_FILES['image']['tmp_name'];
				include 'uploadresize/includes/compressImage.php';	
				foreach($widthArray as $newwidth)
				{
					$filename = compressImage($ext,$uploadedfile,NEWS_IMG,$actual_image_name,$newwidth);
				}								
				if(move_uploaded_file($uploadedfile, NEWS_IMG.$actual_image_name))
					$image = $actual_image_name;
				else
					$msg = "Fail upload folder with read access.";
			}
			else
				$msg = "Image file size max 2 MB";					
		}
		else
		    $msg = "Invalid file format..";	
	}
	
	$sort_order = (int)($_POST['sort_order']);
	$status = (bool)($_POST['status']);
	$c_cond = "cat_id = '$category' and title= '$title'";
	if($id)
		$c_cond .= " and id != '$id'";
	$n = $db -> count_where($t_name, $c_cond);
	if($n == 0)
	{
		$t_vals = array("cat_id" => $category, "title" => $title, "sort_order" => $sort_order, "status" => $status, "featured" => $featured, "target" => $target, "description" => $description, "image" => $image);
		if(empty($userid))
			$userid = 0;
		if ($id > 0) {
			//Update 
			$t_vals['edit_date'] = date('Y-m-d H:i:s');
			$t_vals['edit_id'] = $userid;
			$u_cond = array("id" => $id);
			if ($db -> update($t_name, $t_vals, $u_cond)) 
			{					
				$_SESSION['msg'] = "News updated succesfully.";
				$_SESSION['f'] = "success";
			}
			else
			{
				$_SESSION['msg'] = "Unable to update News!";
				$_SESSION['f'] = "danger";
			}	
		}
		else 
		{
			// insert 
			$t_vals['add_date'] = date('Y-m-d H:i:s');
			$t_vals['add_id'] = $userid;
			if ($db -> insert($t_name, $t_vals)) 
			{						
				$_SESSION['msg'] = "News added succesfully.";
				$_SESSION['f'] = "success";
			}
			else
			{
				$_SESSION['msg'] = "Unable to add News!";
				$_SESSION['f'] = "danger";
			}
		}
	}
	else
	{
		$_SESSION['msg'] = "News already exist.";
		$_SESSION['f'] = "warning";
	}
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	$str = $id?"?edit=".$id:"";
	header("Location: ".TEMP_PATH."news.php".$str);
	die();
}
else if((int)$_GET['edit'] != "") {
	$action = "Edit";
	$id = (int)$_GET['edit'];
	$query = "SELECT * FROM `$t_name` WHERE id='$id'";
	$e = $db -> get_row($query);
}
if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
$sql = "select id as val,category as opt from `".TBL."news_categories` order by sort_order";
$dbResult = $db -> get_results($sql);
?>