<?php
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");

$f = $msg = $list = "";
$action = "Add";
$t_name = TBL.'passout_year';

if(count($_POST) > 0)
{
	$_POST = $db -> filter($_POST);
	if(isset($_POST['page']))
		$_SESSION['page'] = $_POST['page']; 
	elseif(isset($_POST['cur_page']))
		$_SESSION['page'] = $_POST['cur_page'];
	if(!empty($_POST['rec']))
		$_SESSION['rec'] = $_POST['rec'];
	if(isset($_POST['search']))
		$_SESSION['search'] = $_POST['search'];
	
	if ($_POST['acton'] == "Delete" || ($_POST['confirm-acton'] == "Delete" && !isset($_POST['acton']))) {
		$d_cond = $_POST['multicheck'];
		if($db -> delete_checkbox($t_name, $d_cond))
		{
			$_SESSION['msg'] = "Passout Year(s) deleted successfully.";
			$_SESSION['f'] = "success";
		}
		else
		{
			$_SESSION['msg'] = "Unable to delete Passout Year(s)";
			$_SESSION['f'] = "danger";
		}
	}
	if ($_POST['category']) {
		$id = (int)($_POST['id']);
		$category=ucfirst($_POST['category']);
		$c_cond = "year = '$category'";
		if($id)
		    $c_cond .= " and id != '$id'";
		$n = $db -> count_where($t_name, $c_cond);
		if($n == 0)
		{
			$t_vals = array("year" => $category);
			if(empty($userid))
				$userid = 0;
			if ($id > 0) {
				//Update 
				$t_vals['edit_date'] = date('Y-m-d H:i:s');
				$t_vals['edit_id'] = $userid;
				$u_cond = array("id" => $id);
				if ($db -> update($t_name, $t_vals, $u_cond)) 
				{					
					$_SESSION['msg'] = "Passout Year updated succesfully.";
					$_SESSION['f'] = "success";
				}
				else
				{
					$_SESSION['msg'] = "Unable to update Passout Year";
					$_SESSION['f'] = "danger";
				}	
			}
			else 
			{
				// insert 
				$t_vals['add_date'] = date('Y-m-d H:i:s');
				$t_vals['add_id'] = $userid;
				if ($db -> insert($t_name, $t_vals)) 
				{						
					$_SESSION['msg'] = "Passout Year added succesfully.";
					$_SESSION['f'] = "success";
				}
				else
				{
					$_SESSION['msg'] = "Unable to add Passout Year";
					$_SESSION['f'] = "danger";
				}
			}
		}
		else
		{
			$_SESSION['msg'] = "Passout Year already exist.";
			$_SESSION['f'] = "warning";
		}
	}
	unset($_POST);
	header("HTTP/1.1 303 See Other");
	header("Location: ".TEMP_PATH."passout_year.php");
	die();
}
else if((int)$_GET['edit'] != "") {
	$action = "Edit";
	$id = (int)$_GET['edit'];
	$query = "SELECT id,year FROM `$t_name` WHERE id='$id'";
	$e = $db -> get_row($query);
}
else if (isset($_SESSION['msg']))
{
	$msg = $_SESSION['msg'];
	$f = $_SESSION['f'];
	unset($_SESSION['msg']);
	unset($_SESSION['f']);
}
if(isset($_SESSION['page']))
	$p = $_SESSION['page'];
if(isset($_SESSION['rec']))
	$rec = $_SESSION['rec'];
if(isset($_SESSION['search']))
	$search = $_SESSION['search'];	
unset($_SESSION['page']);
unset($_SESSION['search']);
$p = 1;
if($rec == "")
	$rec = 10;
$lwrlmt = ($p-1) * $rec;
$query = "SELECT * FROM $t_name order by year desc";
$results = $db -> get_results($query);
foreach( $results as $row )
{
	$mem = $db -> count_where(TBL."alumni", "passout_year=".$row["id"]);
	$list .='<tr>
			<td>
				<input type="checkbox" class="checkboxes all-acton" title="Select" name="multicheck[]" value="'.$row["id"].'"/>
			</td>
			<td>'.$row["year"].'</td>
			<td>'.$mem.'</td>
			<td>
				<a class="btn-app" href="passout_year.php?edit='.$row["id"].'">
					<i class="fa fa-edit"></i>Edit
				</a>
			</td>
		</tr>';
}
?>