<?php require_once("functions/image_edit_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php //echo SCHOOL;?> admin | Image Edit <?php //echo $action;?> Image</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
        <!-- upload -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-fileupload.min.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1><?php echo $action; ?> Image
					<?php if((int)$_GET['edit'] != "") 
						echo '<small><a href="image_add.php?mod='.$mod.'" class="btn btn-success btn-sm">Add Image</a></small>';
					?></h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#"><?php echo ucfirst($mod); ?></a></li>
                        <li class="active"><?php echo $action; ?> Image</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">Category</label>
											<div class="col-lg-4">
											    <?php echo selectDbList("category", $dbResult, $e[1], $defaultOptionSet=1, $defaultOption="Select Category", $validation="validate[required]"); ?>
											</div>
										</div>
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">Title</label>
											<div class="col-lg-4">
												<input type="text" name="title" class="validate[required] form-control" value="<?php echo $e[2]?$e[2]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Image</label>
											<div class="col-lg-4">
												<div class="fileupload fileupload-<?php echo $e[3]?'exists':'new';?>" data-provides="fileupload">
													<div class="fileupload-new thumbnail" style="width: 200px; height: 150px;"><img src="img/demoUpload.jpg" alt="" /></div>
													<div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
													<?php echo $e[3]?'<img src="'.$file_path.$e[3].'">':'';?>
													</div>
													<div>
														<span class="btn btn-file btn-primary"><span class="fileupload-new">Select image</span><span class="fileupload-exists">Change</span><input type="file" name="image" value="<?php echo $e[3]?$e[3]:'';?>"/></span>
														<a href="#" class="btn btn-danger fileupload-exists" data-dismiss="fileupload">Remove</a>
													</div>
												</div>
												<input type="hidden" name="cur_image" value="<?php echo $e[3]?$e[3]:'';?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Order</label>
											<div class="col-lg-4">
												<input type="number" min=0 name="sort_order" class="form-control" value="<?php echo $e[4]?$e[4]:'';?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Status</label>
											<div class="col-lg-4">
												<?php 
												$st = isset($e[5])?$e[5]:1;
												echo status($st); ?>
											</div>
										</div>
									</div><!-- /.box-body -->
                                    <div class="box-footer">
										<input type="hidden" name="id" value="<?php echo $e[0]?$e[0]:'';?>"/>
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- CK Editor -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/ckeditor/ckeditor.js" type="text/javascript"></script>
		<!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.min.js" type="text/javascript"></script>
		<!-- upload -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-fileupload.js" type="text/javascript"></script>
		<!-- validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<script type="text/javascript">
            $(function() {
				$('#popup-validation').validationEngine();
            });
        </script>
    </body>
</html>