<?php 
ob_start();
$path_to_php_mailer = "../inc/phpmailer/class.phpmailer.php";
require_once("../inc/config.php");
require_once("../inc/class.db.php");
require_once("../inc/function.php");
define("aplication",  TBL."job_application");
define("job_detail", TBL."job_details");
$id = (int)$_GET['id'];

function getApplicationDetails($db, $application_id)
{
	$query = "SELECT * FROM ". aplication ." WHERE id = '". (int)$application_id ."'";
	$row=$db->get_row($query);

	return $row;	
}
function get_job_detail($db, $job_id)
{
	$query = "SELECT a.*, b.category FROM ".job_detail." a left join ".TBL."job_categories b on a.cat_id=b.id WHERE a.id='$job_id'";
	$result = $db -> get_row($query);	
	return $result;
}
$applicant = getApplicationDetails($db, $id);

$job = get_job_detail($db, $applicant[1]);
//print_r($job);





?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php //echo SCHOOL;?> admin | Career</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- modal-popup -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-modal.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
	</head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>View Application</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Career</a></li>
                        <li class="active">View Application</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
								<div class="box-body">
									<h3 class="box-title">Application</h3><hr>
									<div class="form-group">
										<div class="col-lg-4">AppID: &emsp;
											<?php echo "API-".$applicant[0]; ?>
										</div>
										<div class="col-lg-4">Status: &emsp; 
											<?php echo "Received"; ?>
										</div>
									</div>
									<h3 class="box-title">Candidate Details</h3><hr>
									<?php 
									$result = array();
									$fields = array(2 =>"Name", 3 =>"Age", 4 =>"Gender", 5 =>"Country", 6 =>"Mobile", 7 =>"Email", 8 =>"Description", 9 =>"Resume", );
									$result = array_merge($result, $fields);
									foreach($fields as $k=>$v) 
									{ 
										if($applicant[$k]){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $v; ?></label>
											<div class="col-lg-6">
												<?php echo $k==9?'<a href="'.JOB_APPLICATION.$applicant[$k].'" target ="_blank" >'.$applicant[$k].'</a>':$applicant[$k]; ?>
											</div>
										</div>
									<?php }}?>
									<h3 class="box-title">Job Details</h3><hr>
									<?php 
									$fields = array(18 =>"Job Category", 2 =>"Job Title", 3 =>"Qualification", 4 =>"Job Location", 5 =>"Reference No", 7 =>"Last Date to Apply", 11 =>"Job Description");
									$result = array_merge($result, $fields);
									foreach($fields as $k=>$v) 
									{ 
										if($job[$k]){
									?>
										<div class="form-group">
											<label class="control-label col-lg-6"><?php echo $v; ?></label>
											<div class="col-lg-6">
												<?php echo $k==11?html_entity_decode($job[$k]):$job[$k]; ?>
											</div>
										</div>
									<?php }}				
									
								
									?>
										
									
								</div>
							</div>
						</div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- modal-popup -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modalmanager.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modal.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
		<!-- date-common -->
		<script src="<?php echo ADMIN_SITE;?>js/common.js" type="text/javascript"></script>
    </body>
</html>