<?php 
$devlopment_mode=0;
require_once("functions/modules_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Schoolindia admin | Modules</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- modal -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-modal.css" rel="stylesheet" />
        <!-- daterange picker -->
        <link href="<?php echo ADMIN_SITE;?>css/daterangepicker/daterangepicker-bs3.css" rel="stylesheet" type="text/css" />
		<!-- DATA TABLES -->
        <link href="<?php echo ADMIN_SITE;?>css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
		<link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>Modules
					<?php if((int)$_GET['edit'] != "" && $devlopment_mode) 
						echo '<small><a href="modules.php?mod='.$mod.'" class="btn btn-success btn-sm">Add Module</a></small>';
					?></h1>
					
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Settings</a></li>
                        <li class="active">Modules</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
					<!-- Main content -->
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
							<?php if((!$devlopment_mode && (int)$_GET['edit'] != "") || $devlopment_mode){?>
                              <!-- form start -->
                                <form role="form" action="modules.php" method="post" id="popup-validation">
									<div class="box-header">
										<h3 class="box-title"><?php echo $action;?> Module</h3>
									</div>
                                    <div class="box-body clearfix">
                                        <div class="form-group  col-lg-6">
                                            <label class="control-label col-lg-3">Name</label>
											<div class="col-lg-9">
												<input type="text" name="category" class="validate[required] form-control" value="<?php echo $e[0]?$e[0]:'';?>"/>
											</div>
										</div>
										<div class="form-group col-lg-6">
											<label class="control-label col-lg-3">Publish date</label>
											<div class="input-group col-lg-9">
												<div class="input-group">
												<div class="input-group-addon">
													<i class="fa fa-clock-o"></i>
												</div>
												<input type="text" id="reservationtime" name="publish_date" class="form-control pull-right" value="<?php echo (!isset($e) || $e[1]." - ".$e[2] == "0000-00-00 00:00:00 - 0000-00-00 00:00:00")?"-":userDateTime($e[1])." - ".userDateTime($e[2]);?>">
												</div>Format: 01-01-2015 12:00 AM - 31-01-2015 12:00 PM
											</div>
										</div>
										<div class="form-group col-lg-6">
                                            <label class="control-label col-lg-3">ID</label>
											<div class="col-lg-9">
												<input <?php echo $devlopment_mode?"":"disabled";?> type="number" min=0 name="sort_order" class="form-control" value="<?php echo $e[3]?$e[3]:'';?>"/>
											</div>
										</div>
										<div class="form-group col-lg-6">
											<label class="control-label col-lg-3">Status</label>
											<div class="col-lg-9">
												<?php 
												$chk = isset($e[4])?$e[4]:'1';
												echo status($chk); ?>
											</div>
										</div>
									</div>
                                    <div class="box-footer">
										<input type="hidden" name="id" value="<?php echo $e[5]?$e[5]:'';?>"/>
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
                                    </div>
                                </form>
							<?php }?>
								<div id="confirm1" class="modal fade" tabindex="-1" data-backdrop="static" data-keyboard="false">
									<div class="modal-body">
										<p>Would you like to continue?</p>
									</div>
									<div class="modal-footer">
										<button type="button" data-dismiss="modal" class="btn">Cancel</button>
										<button type="button" data-dismiss="modal" class="btn btn-primary confirm-continue">Continue</button>
									</div>
								</div>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
							<div class="box">
								<form id="data-table-form" method="post" action="">
                                <div class="box-header">
                                    <h3 class="box-title">Module List</h3>
									<div class="col-md-6 button_right">
										<input <?php echo $devlopment_mode?"":"disabled";?> type="submit" class="btn btn-danger btn-sm" name="acton" id="confirm-delete" value="Delete" data-toggle="modal" href="#confirm1">
										<input type="submit" class="btn btn-warning btn-sm" name="acton" id="confirm-unpublish" value="Unpublish" data-toggle="modal" href="#confirm1">
										<input type="submit" class="btn btn-success btn-sm" name="acton" id="confirm-publish" value="Publish" data-toggle="modal" href="#confirm1">
										<input <?php echo $devlopment_mode?"":"disabled";?> type="submit" class="btn btn-primary btn-sm" name="acton" value="Save IDs" />
										<input type="hidden" id="confirm-acton" name="confirm-acton" value="" />
									</div>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">
                                    <table id="sample_2" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th><input type="checkbox" title="Select All" class="group-checkable" data-set="#sample_2 .checkboxes"/></th>
                                                <th>Modules</th>
												<th>ID</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
										<?php echo $list; ?>
										</tbody>
									</table>
                                </div><!-- /.box-body -->
								</form>
                            </div><!-- /.box -->
						</div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- date-range-picker -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/daterangepicker/daterangepicker.js" type="text/javascript"></script>
		<!-- data-table -->
		<script src="<?php echo ADMIN_SITE;?>js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
        <script src="<?php echo ADMIN_SITE;?>js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
		<!-- modal-popup -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modalmanager.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-modal.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
		<!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.min.js" type="text/javascript"></script>
		<!-- data-validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<!-- date-common -->
		<script src="<?php echo ADMIN_SITE;?>js/common.js" type="text/javascript"></script>
    </body>
</html>