<?php ob_start(); ?>
<html>
<head>
<style type="text/css">
@media print
{
body {display:block;}
}
@media screen
{
body {display:none;}
}
@page { 
	size: landscape; 
	margin: 42pt 12pt;
}
table { page-break-inside:auto }
tr    { page-break-inside:avoid; page-break-after:auto }
.breakAfter{ 
page-break-after: always; 
} 
</style>
</head>
<body style="width:1200px; margin:auto;font-size: 26px;"  <?php echo (isset($_GET['save']))?'':'onload="window.print()"';?>>
<div style="text-align:center;">Staff List</div>
<table width="100%" border="1" align="center" cellpadding="3" cellspacing="0" style="font-size: 24px;">
<thead><tr style="background-color:#E8E8E8;"><th>SNo</th><th>Name</th><th>Department</th><th>Qualification</th><th>Subject</th><th>Class</th></tr></thead>	
<?php 
if(isset($_GET['save']))
{
	$file_type = "msword";
	$file_ending = "doc";
	HEADER("Content-Type: application/$file_type");
	HEADER("Content-Disposition: attachment; filename=print_list.$file_ending");
	HEADER("Pragma: no-cache");
	HEADER("Expires: 0");
}
require_once("../inc/config.php");
require_once("../inc/class.db.php");
$where = " WHERE 1=1";
if(!empty($_REQUEST['sname2']))
	$where .= " AND a.school_name like '%".$_REQUEST['sname2']."%'";
if(!empty($_REQUEST['ssboard']))
	$where .= " AND a.board_id=".$_REQUEST['ssboard'];
if(!empty($_REQUEST['sstype']))
	$where .= " AND a.school_type='".$_REQUEST['sstype']."'";
if(!empty($_REQUEST['ssdr']))
	$where .= " AND a.school_dorr='".$_REQUEST['ssdr']."'";
if(!empty($_REQUEST['sscl']))
{
	$ssclass = $_REQUEST['sscl'];
	if($ssclass >= -1 && $ssclass <= 12)
		$where .= " and a.school_class_min <= '$ssclass' AND a.school_class >= '$ssclass'";
} 
if(!empty($_REQUEST['country']))
	$where .= " AND a.country_id=".$_REQUEST['country'];
if(!empty($_REQUEST['state']))
	$where .= " AND a.state_id=".$_REQUEST['state'];
if(!empty($_REQUEST['city']))
	$where .= " AND a.city_id=".$_REQUEST['city'];
if(!empty($_REQUEST['loc']))
	$where .= " AND a.locality_id=".$_REQUEST['loc'];
if(isset($_REQUEST['client']))
	$where .= " AND a.client='".$_REQUEST['client']."'";
if(!empty($_REQUEST['sort']))
	$where .= " order by a.sortorder, a.school_name ".$_REQUEST['sort'];
if(isset($_GET['w']))
	$w=$_GET['w'];
//$join = " left join country b on a.country_id=b.id left join state c on a.state_id=c.id left join city d on a.city_id=d.id left join school_categories e on a.board_id=e.id";
//$sql = "SELECT a.school_name, b.name, c.name, d.name, a.school_address, a.school_pincode, a.id, a.client, e.category, a.school_principal, a.school_phone, a.school_email, a.school_website, a.official_remark from school a".$join.$where;
$query = "SELECT a.name, b.category, a.qualification, a.subject, a.class FROM ".TBL."staffs a left join ".TBL."staff_departments b on a.dept_id=b.id";
$i=1;
$results = $db -> get_results($query);
foreach( $results as $r )
{
	if ($i>5 && $i % 5 == 1)  
        echo '<table width="100%" border="1" align="center" cellpadding="3" cellspacing="0" style="font-size: 24px;"><tr>';  
    else  
        echo '<tr>';  
	echo '<td>'.$i.'</td><td>';
	echo ($r['name'])?$r['name']:"";
	echo '</td><td>';
	echo ($r['category'])?$r['category']:"";
	echo '</td><td>';
	echo ($r['qualification'])?$r['qualification']:"";
	echo '</td><td>';
	echo ($r['subject'])?$r['subject']:"";
	echo '</td><td>'.($r['class']?$r['class']:"-").'</td></tr>';
	if($i%5==0)
		echo '</table><div style="clear:both;"></div><div style="page-break-after: always;"></div>';
		$i++;
}
if($i%5!=1)
	echo '</table>';
?>
</body>
</html>
<?php ob_flush(); ?>