<?php require_once("functions/settings_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php echo SCHOOL;?> admin | General Settings</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
		<!-- upload -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-fileupload.min.css" rel="stylesheet" type="text/css" />
		<!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>General Settings</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Settings</a></li>
                        <li class="active">General</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">School</label>
											<div class="col-lg-4">
												<input type="text" name="school" class="validate[required] form-control" value="<?php echo $e[1]?$e[1]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Logo</label>
											<div class="col-lg-4">
												<div class="fileupload fileupload-<?php echo $e[9]?'exists':'new';?>" data-provides="fileupload">
													<div class="fileupload-new thumbnail" style="width: 200px; height: 150px;"><img src="img/demoUpload.jpg" alt="" /></div>
													<div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
													<?php echo $e[6]?'<img src="'.PAGES_IMG.$e[9].'">':'';?>
													</div>
													<div>
														<span class="btn btn-file btn-primary"><span class="fileupload-new">Select image</span><span class="fileupload-exists">Change</span><input type="file" name="logo" value="<?php echo $e[9]?$e[9]:'';?>"/></span>
														<a href="#" class="btn btn-danger fileupload-exists" data-dismiss="fileupload">Remove</a>
													</div>
												</div>
												<input type="hidden" name="cur_logo" value="<?php echo $e[9]?$e[9]:'';?>"/>
											</div>
										</div>
										<?php if($_SESSION['school']['special'] == 1){ ?>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Upload File</label>
											<div class="col-lg-4">
												 <div class="fileupload fileupload-<?php echo $h_file?"exists":"new"; ?>" data-provides="fileupload">
													<span class="btn btn-file btn-default">
														<span class="fileupload-new">Select file</span>
														<span class="fileupload-exists">Change</span>
														<input type="file" name="d_file" value=""/>
													</span>
													<span class="fileupload-preview"><input type="hidden" name="c_file" value="<?php echo $h_file?$h_file:""; ?>"/><?php echo $h_file?$h_file:""; ?></span>
													<a href="#" class="close fileupload-exists" data-dismiss="fileupload" style="float: none">×</a>
												</div>
											</div>
										</div>
										<?php }?>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Affiliation Number</label>
											<div class="col-lg-4">
												<input type="text" name="aff_no" class="form-control" value="<?php echo $e[10]?$e[10]:'';?>"/>
											</div>
										</div>																				<div class="form-group">                                            <label class="control-label col-lg-1">School Type</label>											<div class="col-lg-4">												<?php echo selectArrayList("type", $schooltypeOptionArr, $e[11], $defaultOptionSet=0, $defaultOption="", $validation=""); ?>											</div>										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Website</label>
											<div class="col-lg-4">
												<input type="text" name="website" class="validate[required,custom[url]] form-control" value="<?php echo $e[2]?$e[2]:'http://';?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Email</label>
											<div class="col-lg-4">
												<input type="text" name="emails" class="validate[required,custom[email]] form-control" value="<?php echo $e[3]?$e[3]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Address</label>
											<div class="col-lg-4">
												<textarea name="address" rows="10" class="validate[required]" cols="50"><?php echo $e[4]?$e[4]:""; ?></textarea>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Phone</label>
											<div class="col-lg-4">
												<input type="text" name="phone" class="form-control" value="<?php echo $e[5]?$e[5]:'';?>"/>
											</div>use comma(,) to add multiple phno(ex:123456, 9876543, etc..)
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Fax</label>
											<div class="col-lg-4">
												<input type="text" name="fax" class="validate[required] form-control" value="<?php echo $e[6]?$e[6]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Contact Page Link</label>
											<div class="col-lg-4">
												<input type="text" name="contact_link" class="form-control" value="<?php echo $e[7]?$e[7]:'';?>"/>
											</div>Link should include "http(s)://"
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Branches</label>
											<div class="col-lg-4">
												<input type="text" name="branches" class="form-control" value="<?php echo $e[8]?$e[8]:""; ?>"/>
											</div>Link should include "http(s)://". Use comma(,) to add multiple branches(ex:Branch 1, Branch 2, etc..)
										</div>
									</div><!-- /.box-body -->
                                    <div class="box-footer">
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- CK Editor -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/ckeditor/ckeditor.js" type="text/javascript"></script>
		<!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.min.js" type="text/javascript"></script>
		<!-- upload -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-fileupload.js" type="text/javascript"></script>
		
    </body>
</html>