<?php require_once("functions/staff_inc.php");?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?php echo SCHOOL;?> admin | <?php echo $action;?> Staff</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <link href="<?php echo ADMIN_SITE;?>css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- font Awesome -->
        <link href="<?php echo ADMIN_SITE;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Ionicons -->
        <link href="<?php echo ADMIN_SITE;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
        <!-- upload -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-fileupload.min.css" rel="stylesheet" type="text/css" />
		<!-- Theme style -->
        <link href="<?php echo ADMIN_SITE;?>css/AdminLTE.css" rel="stylesheet" type="text/css" />
		<!-- switch-button -->
		<link href="<?php echo ADMIN_SITE;?>css/bootstrap-switch.css" rel="stylesheet" type="text/css" />
		<!-- validation -->
		<link href="<?php echo ADMIN_SITE;?>css/validationEngine.jquery.css" rel="stylesheet" type="text/css" />
    </head>
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
		<?php require_once("header.php"); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
			<?php require_once("menu.php");	?>
            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
						<?php 
						echo $action." News";
						if((int)$_GET['edit'] != "") 
							echo '<small><a href="news.php" class="btn btn-success btn-sm">Add News</a></small>';
						?>
					</h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.php"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Staff</a></li>
                        <li class="active"><?php echo $action; ?> Staff</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<?php echo alert($f, $msg); ?>
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                              <!-- form start -->
                                <form action="" method="post" enctype="multipart/form-data" id="popup-validation">
                                    <div class="box-body">
                                    <input type="hidden" name="CSRFToken"  value="<?php echo $_SESSION['school']['CSRFToken']; ?>"/>
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">Department</label>
											<div class="col-lg-4">
											    <?php echo selectDbList("category", $dbResult, $e[1], $defaultOptionSet=1, $defaultOption="Select Department", $validation="validate[required]"); ?>
											</div>
										</div>
                                        <div class="form-group">
                                            <label class="control-label col-lg-1">Name</label>
											<div class="col-lg-4">
												<input type="text" name="title" class="validate[required] form-control" value="<?php echo $e[2]?$e[2]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Qualification</label>
											<div class="col-lg-4">
												<input type="text" name="qualification" class="validate[required] form-control" value="<?php echo $e[3]?$e[3]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Subject</label>
											<div class="col-lg-4">
												<input type="text" name="subjects"  value="<?php echo $e[4]?$e[4]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Classes Taken</label>
											<div class="col-lg-4">
												<?php echo multiSelectDbList("class12[]", $dbResult1, $e[5], $defaultOptionSet=0, $defaultOption="Select Class", $validation=""); ?>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Designation</label>
											<div class="col-lg-4">
												<input type="text" name="designation" class="validate[required] form-control" value="<?php echo $e[6]?$e[6]:""; ?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Image</label>
											<div class="col-lg-4">
												<div class="fileupload fileupload-<?php echo $e[8]?'exists':'new';?>" data-provides="fileupload">
													<div class="fileupload-new thumbnail" style="width: 200px; height: 150px;"><img src="img/demoUpload.jpg" alt="" /></div>
													<div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
													<?php echo $e[8]?'<img src="'.STAFF_IMG.$e[8].'">':'';?>
													</div>
													<div>
														<span class="btn btn-file btn-primary"><span class="fileupload-new">Select image</span><span class="fileupload-exists">Change</span><input type="file" name="image" value="<?php echo $e[8]?$e[8]:'';?>"/></span>
														<a href="#" class="btn btn-danger fileupload-exists" data-dismiss="fileupload">Remove</a>
													</div>
												</div>
												<input type="hidden" name="cur_image" value="<?php echo $e[8]?$e[8]:'';?>"/>
											</div>
										</div>
										<div class="form-group">
                                            <label class="control-label col-lg-1">Order</label>
											<div class="col-lg-4">
												<input type="number" min=0 name="sort_order" class="form-control" value="<?php echo $e[9]?$e[9]:'';?>"/>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label col-lg-1">Status</label>
											<div class="col-lg-4">
												<?php 
												$st = isset($e[10])?$e[10]:1;
												echo status($st); ?>
											</div>
										</div>
										<div class="form-group">
											<div class="col-lg-12">
												<div class='box box-info'>
													<div class='box-header'>
														<h3 class='box-title'>News Description</h3>
														<!-- tools box -->
														<div class="pull-right box-tools">
															<button class="btn btn-info btn-sm" data-widget='collapse' data-toggle="tooltip" title="Collapse"><i class="fa fa-minus"></i></button>
															<button class="btn btn-info btn-sm" data-widget='remove' data-toggle="tooltip" title="Remove"><i class="fa fa-times"></i></button>
														</div><!-- /. tools -->
													</div><!-- /.box-header -->
													<div class='box-body pad'>
														<textarea id="editor1" name="description" rows="10" cols="80"><?php echo $e[7]?$e[7]:""; ?></textarea>
													</div>
												</div><!-- /.box -->
											</div>
										</div>
                                    </div><!-- /.box-body -->
                                    <div class="box-footer">
										<input type="hidden" name="id" value="<?php echo $e[0]?$e[0]:'';?>"/>
                                        <button type="submit" name="submit" class="btn btn-primary">Save</button>
										<button type="reset" name="reset" id="reset" class="btn btn-default">Reset</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->
                        </div><!--/.col (right) -->
                    </div>   <!-- /.row -->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
		<?php include_once("footer.php"); ?>
        <!-- jQuery 2.0.2 -->
        <script src="<?php echo ADMIN_SITE;?>js/jquery-2.0.2.min.js"></script>
        <!-- Bootstrap -->
        <script src="<?php echo ADMIN_SITE;?>js/bootstrap.min.js" type="text/javascript"></script>
		<!-- AdminLTE App -->
        <script src="<?php echo ADMIN_SITE;?>js/AdminLTE/app.js" type="text/javascript"></script>
        <!-- CK Editor -->
        <script src="<?php echo ADMIN_SITE;?>js/plugins/ckeditor/ckeditor.js" type="text/javascript"></script>
		<!-- switch -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-switch.min.js" type="text/javascript"></script>
		<!-- upload -->
		<script src="<?php echo ADMIN_SITE;?>js/bootstrap-fileupload.js" type="text/javascript"></script>
		<!-- validation -->
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validationEngine-en.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/jquery.validate.min.js" type="text/javascript"></script>
		<script src="<?php echo ADMIN_SITE;?>js/validationInit.js" type="text/javascript"></script>
		<!-- common-add -->
		<script type="text/javascript">
            $(function() {
				$('#popup-validation').validationEngine();
                // Replace the <textarea id="editor1"> with a CKEditor
                // instance, using default configuration.
                CKEDITOR.replace('editor1');
				$("#reset").on('click', function(){
					CKEDITOR.instances.editor1.setData( CKEDITOR.instances.content, function() { this.updateElement(); } );
				});
                //bootstrap WYSIHTML5 - text editor
                //$(".textarea").wysihtml5();
            });
        </script>
    </body>
</html>